MicroScan Tool Box - Contents

MicroScan Tool Box

Overview

Getting Started

Adding a New Task

Adding a New Item

Items Index

Using Templates

Protection with Passwords

Program Options

Remote Editor

Miscellaneous


Overview Index

MicroScan Tool Box - Overview

Overview of Programs

Overview of Operation

Main Form

Setup Form

Back to Contents


Overview of Programs

MicroScan Tool Box - Overview of Programs

The MicroScan Tool Box has two main programs:

1/ MicroScan Tool Box - This is the program that runs with MicroScan and does all of the hard work.

The MicroScan Tool Box program must be set to automatically run when MicroScan starts.

To do this please refer to the "Getting Started Section" on Auto Run.

2/ MicroScan Tool Box Setup - This program is only run when you need to alter a setup parameter. When not in use it is usually closed.

MainSetupFrm.gif (6872 bytes)

To run the MicroScan Tool Box Setup program either select the "Edit \ Setup" menu from the MicroScan Tool Box program or select the shortcut provided in the "MicroScan Software" group box.

3/ MicroScan Tool Box Audit Viewer - This program can be run from the MicroScan ToolBox Setup program by selecting the menu Help/View Audit Log.

AuditViewer.gif (5420 bytes)

For user events to be saved in the Audit files, the 'Audit Changes' property must be set to 'Yes'. This is found under Program Options.

Back to Overview Index


Overview of Operation

MicroScan Tool Box - Overview of Operation

The MicroScan Tool Box is designed to make it easy to accomplish many complex Tasks.

In the MicroScan Tool Box we refer to TASKS and ITEMS. Once you have decided what it is you wish to accomplish, simply create a new "Task" and then add to that TASK the ITEMS required. You can have many TASKS, each TASK having many ITEMS.

Here is a picture of how the MicroScan Tool Box arranges its TASKS and ITEMS

Overview1.gif (2504 bytes)

Notice how there are many TASKS at the top left of the diagram, and that each TASK is able to have many ITEMS assigned to it.

Each TASK can be set with its own individual update time or scan time; this could be say every 30 seconds.

When the TASK updates, it asks each of its ITEMS to update sequentially. That is ITEM1 will update first, then ITEM2 and so on. This sequence of updating is important to note as most TASKS are designed to get data from MicroScan, perform some calculation on it and then send the answer back to MicroScan. If the ITEMS were not arranged in a logical order then, the answer sent back to MicroScan, could be based on old data. For example if ITEM1 was setup to do a calculation based on the value of ITEM2, then ITEM1 would be updated first and perform its calculation using ITEM2's value before ITEM2 was updated. The value of ITEM2 would still be that of its last update.

TASKS and ITEMS have "Properties". "Properties" are used to set specific setup criteria for the TASK or ITEM.

Helpful Hint: - Although it is possible to include all of your TASKS in one TASK, for simplicity it is recommended that each logical group of ITEMS be allocated to a separate TASK.

Now we are ready to go to the next stage: Getting Started.

Back to Overview Index


MicroScan Tool Box - Main Form

Main Form

The Main Form is where the Operator can see what is happening to the ITEMS within each TASK.

MainForm.gif (7195 bytes)

The Main Form has the following parts:

  1. Tasks List - A list of the TASKS that have been set up. This is the list on the left hand side of the form. Click on a TASK and it's respective ITEMS will appear in the Item List.
  2. Items List - A list of the ITEMS that have been set up for a particular TASK. This is the list on the right hand side of the form. Each ITEM shows its current value.
  3. Task Update Window - Displays how many seconds until the current TASK will be updated. This is the window on the bottom left of the form.
  4. Date / Time Window - Displays the current PC Date and Time. This is the window on the bottom right of the form.
  5. File Menu, Reload Setups - Select this menu option to reload the set up information.
  6. Edit Menu, Password - Displays the Password Dialog Box. Refer to Protection with Passwords.
  7. Edit Menu, Setup - Loads the MicroScan Setup program. Refer to MicroScan Tool Box Setup.
  8. Help Menu, Contents - Displays this help file at the Contents page.
  9. Help Menu, Current - Displays this help file for the currently selected Task or Item. (Also by pressing 'F1').
  10. Help Menu, About - Displays the program's About Dialog Box.


MicroScan Tool Box - Setup Form

The MicroScan Tool Box Setup form:

MainSetupFrm.gif (5998 bytes)

The Setup form has the following main buttons:

  1. Tasks - Displays the Task/Item Setup forms for Tasks that will be loaded by the MicroScan Tool Box. Refer to Tasks.
  2. Templates - Displays the Task/Item Setup form for Templates. Refer to Templates.
  3. Program Options - Displays the Program Options form. Refer to Program Options.
  4. Passwords - Displays the Password Setup form. Refer to Protection with Passwords.
  5. Lists - Displays the MicroScan ToolBox List Setup.

The Setup form also has the following menu options:

  1. File, Exit - Closes the MicroScan Tool Box Setup form.
  2. Edit, Password - Shows a form into which a password can be entered. Refer to Protection with Passwords.
  3. Help, Help - Shows this help file.
  4. Help, View Audit Log - Loads the Audit Viewer program.
  5. Help, About - Shows the About Dialog Box for the MicroScan Setup program.

Back to Overview Index


Typical Applications

MicroScan Tool Box - Typical Applications

Typical Applications

Back to Overview Index


Getting Started

MicroScan Tool Box - Getting Started

For this example lets make a TASK that does a very simple job. Let's say that we are measuring the diameter of product being produced. However we have

First install MicroScan and the MicroScan Tool Box have been installed onto your computer.

Once that is done proceed as follows:

  1. Setup MicroScan as required, that is the interface(s), Input / Output tags, Alarms and the Recorders.
  2. Set MicroScan to Auto Start the MicroScan Tool Box.
  3. Then set up a new Task to perform the required operation. Refer to My First Task. The MicroScan Tool Box Setup program may be launched from 2 places. The first is from the shortcut located in the "MicroScan Software" group, and the second is from the MicroScan Tool Box program itself by selecting the "Edit" menu and then the "Setup" option.
  4. Sometimes when working with the MicroScan Tool Box you will require an interface just as a repository for information data. This is available in the form of the MicroScan Image Interface. The Image Interface can be set up just like a PLC type interface only it does not communicate to any external device. Refer to the MicroScan Image Interface.


Getting Started - Auto Start

MicroScan Tool Box - Auto Start

To Auto Start/Stop the MicroScan Tool Box and/or the MicroScan Tool Box Remote Editor with MicroScan:

  1. Start the MicroScan Setup Manager program and click on the "Admin Tools" button.
  2. From the "Administration Tools" form click on the button "Accessory Files". Enter the data into the "Accessory Files" form as detailed below:
  3. Once all of the entries have been made into the "Accessory File" click on the "OK" button, this will take you back to the "Administration Tools" form. Click on the "Close" button to get back to the MicroScan Setup Manager Main Form.
  4. From the MicroScan Setup Manager Main Form click on the "System Setup" button. The "System Settings" form will appear similar to the one below:

SysSetup.gif (12675 bytes)

Under the "Accessories" heading make sure that the MicroScan Tool Box is checked.

Now MicroScan Tool Box program will start and stop with MicroScan.

For the MicroScan Tool Box program to run you will need to have the correct setting enabled in the Intech Dongle, and have the Intech Dongle fitted to one of the parallel ports on the PC.

Back to Getting Started


Getting Started - My First Task

Getting Started

Before reading the "Getting Started" section, make sure you have read the Overview Section.

My First Task

Let's set up our first TASK.

For this example lets make a TASK that does a very simple job. Let's say that we are measuring the diameter of product being produced. However we have been asked to display the cross-sectional area of the product on an analogue display unit. This will give a better index for the volume of material being used.

We need to get the value of the diameter from MicroScan, from the diameter calculate the cross-sectional area and then send the answer back to MicroScan.

Note: The formula we will use in this example for the area of a circle, given the diameter, will be: cross-section area = 3.14 x (Dia)^2 / 4

How to start:

  1. From the MicroScan Tool Box Main Form select the EDIT menu and then 'Setup'. The Setup Form will appear.
  2. From the Setup Form, click on the main button 'Tasks'. The Task Setup form will appear.
  3. Add a New TASK - Give it a name, enable it and set the Scan Time to say 30 seconds.
  4. Click on the Edit Items Button to setup the ITEMS for this TASK.
  5. Add a New ITEM - Select the Item Category "Inputs" and then the Item "In_InputTag". Set the "Type" to "GetData" to get the value of the diameter from the MicroScan Tag Data Base.
  6. Add a New ITEM - Select the Item Category "Math" and then the Item "Math_Formula" to do the calculation. Enter in the formula 3.14*[1-1]^2/4. Note that a number inside square brackets will return the value of that ITEM.
  7. Add a New ITEM - Select the Item Category "Outputs" and then the Item "Out_OutputTag" to send the answer back to the MicroScan Output Tag.
  8. Close the ITEM Edit Form and from the MicroScan Tool Box program's File menu select "Reload Setup".
  9. Now you will be able to view the TASK and the ITEMS in the Main Form of the MicroScan Tool Box and the value of each ITEM as it is being updated.

Back to Getting Started


Tasks Setup Form

Tasks

TASKS are used to group ITEMS together.

This is the TASK setup form:

Tasks.gif (10299 bytes)

The TASK Setup Form has the following parts:

  1. TASK List on the left hand side. Click on a TASK to view and edit its properties. Double clicking on a TASK will also take you to the ITEM Setup Form where you will be able to setup the ITEMS for this TASK only.
  2. Property List on the right hand side. The Property List displays all of the properties that can be setup for a particular TASK. To setup a property either double click on it or click on the respective "Set" button. A dialog box will appear which will allow you to either enter data or select an option.
    1. "Class Name" - This can not be changed and is displayed for information only.
    2. "Name" - Enter the name you wish to call the new Task.
    3. "Enabled" - To enable the Task set this property to 'Yes'.
    4. "Scan Time" - The Scan Time is the approximate time in seconds that the Task will update.
    5. "MimicTxtRef - Recipe Name" - Used in conjunction with the Recipe facility in the ToolBox Remote Editor program. If the ToolBox Remote Editor is used to select a Recipe for this Task, then the Name of the Recipe will be written to the specified Mimic Text Reference Number after the Recipe data has been loaded. If a Text object is set up on the Mimic and set to get data from the same Mimic Text Reference Number then the Recipe Name will be displayed on the Mimic.
    6. "MimicTxtRef - Recipe Code" - Used in conjunction with the Recipe facility in the ToolBox Remote Editor program. If the ToolBox Remote Editor is used to select a Recipe for this Task, then a Code for the Recipe can be entered and then written to the specified Mimic Text Reference Number after the Recipe data has been loaded. If a Text object is set up on the Mimic and set to get data from the same Mimic Text Reference Number then the Recipe Code will be displayed on the Mimic.
    7. "MimicTxtRef - Recipe Comment" - Used in conjunction with the Recipe facility in the ToolBox Remote Editor program. If the ToolBox Remote Editor is used to select a Recipe for this Task, then a Comment for the Recipe can be entered and then written to the specified Mimic Text Reference Number after the Recipe data has been loaded. If a Text object is set up on the Mimic and set to get data from the same Mimic Text Reference Number then the Recipe Comment will be displayed on the Mimic. Note that the Mimic Text objects will only display the first 31 characters.
    8. "Recipe Batch Run Output Tag" - Used in conjunction with the Recipe facility in the ToolBox Remote Editor program. If the ToolBox Remote Editor is used to select a Recipe for this Task and an Output Tag has been selected then the ToolBox Remote Editor will start the Batch after the Recipe data has been loaded.
    9. "Recipe Batch Name #1 Ref" - Used in conjunction with the Recipe facility in the ToolBox Remote Editor program. If the Remote Editor is used to select and start a Recorder Batch then it can also specify the file name for the Batch store file. To do this the Recorder Page must be set to Automatic Batch Recording Mode and the Auto Name Batch File mode must be set to XXXXYYYY.AAA mode. When set like this then the recorder line selected for this property must be the recorder line selected in the Batch setup to supply the XXXX part of the file name.
    11. "Recipe Batch Name #2 Ref" - As per 9. above only the recorder line selected for this property must be the recorder line selected in the Batch setup to supply the YYYY part of the file name.
    12. "Batch Name Suffix (eg .111)" - Used in conjunction with 9. and 10. above. This should be set to the same as the ".AAA" part of the Batch file name as described in 9. above. Each Recorder Batch Page must have a unique suffix and the suffix must begin with a period ".".
    13. "Use Recipes from Task?" - If recipes are to be used for this Task and if the Task is identical to another one then the other Task's Recipes can be used by entering the Task's number. This can be an advantage in having only one set of recipes for multiple Tasks as opposed to having one set of recipes for each Task. For this property to work, the Remote_Value Items must be in the same position in each Task.

MicroScan Setup Manager - Recorder Page Setup (Name & Scales) - refer to 9. above.

When setting up a Recorder Batch to work with the ToolBox Remote Editor take the following steps -

1/ Set the Operating Mode to "Monitor & Batch Recording"

BatchSetup.gif (9580 bytes)

2/ Set the "Batch Recording Mode" to "Automatic", select the "Link Page & Line" and check both the "No Batch Dialog Box" and the "Auto Name Batch Files".

BatchMode.gif (8773 bytes)

3/ Enable the "Batch File XXXXYYYY.AAA Mode" and select recorder lines for both the "XXXX Source" and the "YYYY Source". Enter a "Batch File Suffix" that is unique to this Recorder Batch Page only.

BatchFileMode.gif (9311 bytes)

Notes

  1. When using the Batch Code, Batch File Name and Batch Comment fields with the MicroScan Recorder Batch files, it is necessary to ensure that "Long Batch Header" option in the Recorder Customisation dialog is NOT enabled.

Menus on the Task Setup form

  1. "File" menu has the following options:
    • Export to File: Exports all of the TASKS to a text file using TAB delimiters.
    • Import from File: Imports one TASK at a time from a TAB delimited text file as per the Export function above.
  1. "Help" menu has the following options:
    • Contents: Shows the help file contents page.
    • Current: Shows the help for the current TASK or ITEM. (Also by pressing F1).

Buttons on the Task Setup Form

  1. Add New Button. Click on this button to add a new TASK.
  2. Delete Button. First select the TASK to be deleted and then click on the Delete Button to delete that TASK.
  3. Move Up Button. First select the TASK to be moved up and then click on the Move Up Button to move the TASK up one place in the list.
  4. Move Down Button. First select the TASK to be moved down and then click on the Move Down Button to move the TASK down one place in the list.
  5. Edit Items Button. First select the TASK, then click on the Edit Items Button to go to the ITEMS Setup Form where you will be able to edit the ITEMS for the selected TASK only.
  6. Edit Tasks Button. This button is disabled in the TASKS Setup Form.
  7. Load Template Button. When in the TASKS Setup Form, clicking on the Load Templates Button will allow you to add a Template as a new TASK to the TASK List. Once loaded the TASK may be edited to suit.
  8. Save as Template Button. This button allows you to save the selected TASK as a Template. Templates make it easy to duplicate TASKS.


Items Setup Form

Items

ITEMS are the building blocks that TASKS use to accomplish a job.

This is the ITEM setup form:

The ITEM Setup Form has the following parts:

  1. ITEM List on the left hand side. Click on an ITEM to view and edit its properties. Double clicking on an ITEM will return you to the TASK Setup Form.
  2. Property List on the right hand side. The Property List displays all of the properties which can be setup for a particular ITEM. To setup a property either double click on it or click on the respective "Set" button. A dialog box will appear which will allow you to either enter data or select an option.
  3. Add New Button. Click on this button to add a new ITEM.
  4. Delete Button. First select the ITEM to be deleted and then click on the Delete Button to delete the ITEM.
  5. Move Up Button. First select the ITEM to be moved up and then click on the Move Up Button to move the ITEM up one place in the list.
  6. Move Down Button. First select the ITEM to be moved down and then click on the Move Down Button to move the ITEM down one place in the list.
  7. Edit Items Button. This button is disabled in the ITEMS Setup Form.
  8. Edit Tasks Button. Click on the Edit Tasks Button to return to the TASKS Setup Form.
  9. Load Template Button. When in the ITEMS Setup Form, clicking on the Load Templates Button will allow you to append a template's ITEMS to the currently selected TASK. Once loaded the ITEMS may be edited to suit.
  10. Save as Template Button. This button allows you to save the currently selected TASK as a Template. Templates make it easy to duplicate TASKS.


Items Index

BATCH ITEMS

Batch Average

Batch Header

Batch Item

Batch Min Max

Batch Save

INPUT ITEMS

via DDE

via Input Tag

via Output Tag

via Recorder Line

MATH ITEMS

Math Average

Math Formula

Math Relative Humidity

Math Signal And Reset

Math Start Stop Value

Math Tank Volume

Math Toggle

Math Total

Math Trigonometry

Math Value

MIMIC ITEMS

Mimic List Value

OUTPUT ITEMS

via DDE

via Input Tag

via Output Tag

via Recorder

REMOTE ITEMS

Remote Value

STEP CONTROL ITEMS

Step

Step Master

Step Master Slave

Step Information

Step Control - Simple Example

TIME ITEMS

Time Clock

Time PC Clock

Time PC Clock Reset


Batch_Average

Item - Batch Average

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Batch Average ITEM calculates the average value of an input data.

This is a true moving average calculation.

The maximum number of data points for the average is calculated by dividing the TASK "Scan Time" by the averaging time.

During operation the value of the data points are rotated as the new data is added and the oldest data is discarded.

When starting, the number of data points starts at 0 and builds slowly with each scan until the maximum number of data points is reached.

The averaging calculation is the sum of all of the data points divided by the total number of data points.

The Batch Average ITEM will only work if the Batch is running.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Input Value | Select an ITEM that has the value to be used in the logarithm equation.
Av. Over (Mins) | Enter in the number of minutes over which to average the Input Value.
Batch Run | Select an ITEM that has the value for the Batch Run. If the Batch is not running then the Batch Average ITEM will be reset and its value will equal zero. 0 = Batch is not running. 1 = Batch is running.
Freeze Average | Select an ITEM that has the value for 'Freezing' the average calculation. This is most often used during equipment downtime when the value of the 'Input Value' is not to be included in the average calculation. 0 = Continue average calculation. 1 = Freeze average calculation.

Back to Items Index


Batch Header

Item - Batch Header

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Batch_Header ITEM is used to help automate and/or facilitate the changing of the Batch Header when the Page of the MicroScan Recorder is in Batch Mode.

This ITEM uses the facilities in the MicroScan Mimic to provide a good user interface.

The Recorder Batch Header has 3 categories; Name, Code and Comments. To be able to select text to put in each category first set up new Mimic Table Lists for each category. Note that in the Table List each entry is to have its own unique reference number. By setting up an Input Tag for each category the ITEM, using the value from the Input Tag, looks up the Mimic Table List and gets the Text associated with the value. This Text is then sent to the respective Recorder Batch File Header category.

The value of the Batch_Header will be;

    1. 0 = Batch Not Running - Batch File Header is not updated.
    2. 0.5 = Batch Delay Start - Batch File Header is not updated.
    3. 1 = Batch Running - Batch File Header is updated every update.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Batch Page | Select the MicroScan Recorder Page that is working in Batch Mode.
Batch Run | Select the MicroScan Recorder Line that is set to start and stop the Batch.
Ref for Name | Select the MicroScan Input Tag that gets the reference value for the Name Category.
List for Name | Select the MicroScan Mimic Table List that contains the text for the Name Category. Note max 16 characters.
Ref for Code | Select the MicroScan Input Tag that gets the reference value for the Code Category.
List for Code | Select the MicroScan Mimic Table List that contains the text for the Code Category. Note max 16 characters.
Ref for Comment | Select the MicroScan Input Tag that gets the reference value for the Comment Category.
List for Comment | Select the MicroScan Mimic Table List that contains the text for the Comment Category. Note max 119 characters.
Include File Name | If this Property is enabled then the Batch File Name will be appended to the Comment Category.
Delay Start (secs) | Set the number of seconds that this ITEM will delay before it begins to change the Header of the Batch File. This delay is necessary as the Recorder delays in starting the Batch and creating a new Batch File. Without this delay the Batch Header information could be written to the previous Batch File.

Notes

  1. When using the Batch Code, Batch File Name and Batch Comment fields with the MicroScan Recorder Batch files, it is necessary to ensure that "Long Batch Header" option in the Recorder Customisation dialog is NOT enabled.


Batch Item

Item - Batch Item

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Batch_Item ITEM is used in conjunction with the Batch_Save ITEM. The Batch_Save ITEM will only save data in Batch related ITEMS.

This means that in a TASK that is set up for Batch Save, extra items can be included, for say calculations, which will not be saved by the Batch_Save ITEM.

Therefore the Batch_Item ITEMS is provided to contain data for inclusion in the Batch_Save ITEM.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Item Data | Select the required ITEM.


Batch MinMax

Item - Batch Min/Max

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Batch_MinMax ITEM is used in conjunction with the Batch_Save ITEM. The Batch_Save ITEM will only save data in Batch related ITEMS.

This means that in a TASK that is set up for Batch Saving, extra items can be included for say calculations, which will not be included by the Batch_Save ITEM.

Therefore the Batch_MinMax ITEMS will be included in the Batch_Save ITEM, and monitor the Minimum or Maximum value since the batch started.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Batch Run | Select the MicroScan Recorder Line that is set to start and stop the Batch.
Item Data | Select the required ITEM.
Type | Select Minimum or Maximum value.


Batch Save

Item - Batch Save

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Batch_Save ITEM is used in conjunction with other Batch ITEMs. The Batch_Save ITEM will only save data in Batch related ITEMS.

This means that in a TASK that is set up for Batch Saving, extra items can be included for say calculations, which will not be included by the Batch_Save ITEM.

The Batch_Save ITEM is designed to append data to a MicroSoft Access 7 Data Base.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Dbase Path | Select the directory where you wish the Data Base to be created.
Dbase Prefix | Enter a unique prefix for the Data Base name. This prefix will be followed by text representing a date and then by the Access file extension ".mdb". For example "MyPrefix2000.mdb".
Dbase Rollover None - File will not be rolled over.

Year - New File every year

Month - New File every month

Week - New File every week. The week starts at Sunday 0:00Hrs. The file name text will be based on the last day in the week, that is Saturday.

Day - New File every day

Hour - New File every hour

Minute - New File every minute

Second - New File every second

Note: The File name is set when the Batch starts and will not be changed while the Batch is running.

Dbase Table Name | Enter a unique name for the Table in the Data Base, this will most likely represent the process or area.
Encrypt Dbase | If the Dbase is encrypted then it will be more secure but access speed will be slightly slower.
Dbase Password | Enter a password for the Dbase if required.
Save Frequency Every Scan - Saves data each time the TASK is updated.

Only at End - Saves data only at the end of the Batch.

Batch Run | Select the ITEM that is setup monitor the Batch Run.
Calc Batch Length In | Each time the Batch is saved to disk the ITEM calculates how long the Batch has been running. The calculation can be made in; Days, Hours, Minutes, or Seconds.

Note: If you are saving data only at the end of the Batch, then it would be best to order the ITEMS as follows:

  1. Batch Run.
  2. Batch Save.
  3. Other ITEMS.

The above order will mean that when the TASK is updated and the Batch has just stopped, then the Batch_Save ITEM will save the value of the other ITEMS. Only the value of the other ITEMS will still be from the previous update whilst the Batch was running. Hence the data from the last update when the Batch was running will be saved. This is because when a TASK updates, it updates its ITEMS in sequential order starting with the first ITEM.


Energy - Load

Item - Energy Load

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

An Energy_Load Item is required for each Load that is to be enabled / disabled by the Energy_Controller Item.

The Energy Controller Item will automatically detect all loads that have been placed in the Task prior to it.

The Energy_Load Item enables a simple centralization of all input / outputs and parameters for each specific load.

The Energy_Load Item maintains the I/O data and the state of the various timers but it is the Energy_Controller Item that has the decision making responsibility which decides if the load should be disabled or not. In this way the Energy_Load Item is a slave to the Energy_Controller Item.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Load Enabled Input Select the Item that has the Load Enabled Input.

(0=Disabled, 1=Enabled)

Load Enabled Output Select the Output Tag that is set up for the Enable Output for the load. This should point to the same output relay as the "Load Enabled Input" above.

(0=Disabled, 1=Enabled)

Load Running Input Select the Item that has if the load is actually running. Note that this is different to the Load Enable Input. However there is a number of ways to approach the Load Running Input:
  • Load Running Input via digital input from the load itself.
  • The Load Running Input can be calculated from other data, for example if the load has a power meter input then the running state could be said to be ON when the power consumption is greater than say 5kW.
  • If there is no Load Running Input available then the Load Running Input will use the Load Enable Input state by default.

(0=Stopped, 1=Running)

Load Size Select the Item that has the size of the Load in kW's.

The size of the load could be derived from either a power meter input or from a fixed value that is preset via a Math_Value Item.

It is important to have a load size specified as the Energy_Controller Item sums the load sizes of the available loads to enable/disable for a faster response time.

Load Inhibit Sensor Select the Item that has the input, usually a temperature, to be used to inhibit the Load from being disabled.

If used on a Cold Store then the load would be inhibited from being disabled if the temperature rose above say -20 DegC.

Please note that this property is in no way intended to replace product protection. It is the responsibility of the end user/owner to provide adequate localized product protection with suitable protective devices and manual overrides as required.

Load Inhibit Set Point Select the Item that has the Inhibit Set Point.

If the Load Inhibit Sensor is on the wrong side of this Set Point then the load will be inhibited from being Disabled.

Please note that this property is in no way intended to replace product protection. It is the responsibility of the end user/owner to provide adequate localized product protection with suitable protective devices and manual overrides as required.

Inhibit Sense Select the "Inhibit Sense" or the direction in which the Inhibit is to work.
  • Inhibit if Sensor is BELOW Set Point (example Ovens)
  • Inhibit if Sensor is ABOVE Set Point (example Cold Stores)

Please note that this property is in no way intended to replace product protection. It is the responsibility of the end user/owner to provide adequate localized product protection with suitable protective devices and manual overrides as required.

Load Inhibit Differential | Set the differential value that will be offset from the Set Point to determine if the load should be released from an Inhibit condition.
Load Inhibit Time Delay (mins) Set the number of minutes of delay to occur before the Load will be put in to an inhibit condition.

The time delay is often used to prevent nuisance tripping.

Priority Number Select the Item that has the priority number for this load.

The priority number gives an order in which the loads will be disabled/enabled.

Loads with a higher priority number will be disabled first/enabled last and loads with a lower priority number will be disabled last/enabled first.

Many loads can be put on to one priority level in which case the Energy_Controller will determine the order in which they are disabled/enabled.

There is no real limit to the value of the priority number except that it must be a positive integer. As a guide most installations use 10 priority levels.

Priority Selection Mode The Priority Selection Mode only applies to those priority levels that have more than one load. For these levels often a choice has to be made as not all loads need to be disabled to meet the energy target.

The Priority Selection Mode options are:

  • Best Fit by Load Size (The Energy_Controller runs an algorithm to find the best combination of loads to get closest to the desired result.)
  • Largest Inhibit Margin is First Disabled (Those loads that have the largest Inhibit Margin, that is whose "Load Inhibit Sensor value" is furthermost from the "Load Inhibit Set Point value" will be disabled first. In the case of cold stores this allows those stores with the most thermal inertia to be disabled first.
  • First in Setup is First Disabled (That is the loads that have been listed in the Task first will be disabled first / enabled last.)

For those Priority Levels that have more than one type of Priority Selection Mode the loads will be disabled in the following order an enabled in the reverse order:

  1. Mode: Best Fit by Load Size disabled first / enabled last on this priority level.
  2. Mode: Largest Inhibit Margin disabled second / enabled second on this priority level.
  3. Mode: First in Setup disabled third / enabled first on this priority level.

However generally where possible it is simplest to not have loads with dissimilar Priority Selection Modes on the same level.

MINIMUM Time Stopped (mins) Set the Minimum Time that the Load must be Stopped in minutes. This is to help prevent the Load from starting too often.

Please note that this property is in no way intended to replace motor protection. It is the responsibility of the end user/owner to provide adequate motor protection and protective devices for their equipment.

MINIMUM Time Running (mins) Set the Minimum Time that the Load must be Running in minutes. This is to help prevent the Load from starting too often.

Please note that this property is in no way intended to replace motor protection. It is the responsibility of the end user/owner to provide adequate motor protection and protective devices for their equipment.

MAXIMUM Time Disabled (mins) Set the Maximum Time that the Load may be disabled. This can be useful in the case of say a Cold Store where air movement is required from time to time to reduce hot spots.

Please note that this property is in no way intended to replace product protection. It is the responsibility of the end user/owner to provide adequate localized product protection with suitable protective devices and manual overrides as required.

Force Load ENABLED Select an Item that has the Force Load Enabled value.

If the value is greater than 0.5 then the load will be forced to be Enabled.

(0=OFF, 1=ON)

Force Load DISABLED Select an Item that has the Force Load Disabled value.

If the value is greater than 0.5 then the load will be forced to be Disabled.

However the Force Load Enabled has precedence so that if both the Force Load Enable and the Force Load Disable is ON then the Force Load Enable will be used.

(0=OFF, 1=ON)


Energy - Load Info

Item - Energy Load Info

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

An Energy_LoadInfo Item is available to get run time information from the Energy_Load Item.

At run time the Energy_Load Item is performing many tasks and holding many values that would otherwise be hidden from view.

This makes the Energy_LoadInfo Item very useful during commissioning in understanding how the system is performing.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select the Energy Load Item | Select the Item that has the required Energy_Load Item.
Select Info for Select the required option:
  • Enabled (0 = Dsiabled, 1=Enabled)
  • Running (0=Stopped, 1=Running)
  • Size
  • Inhibit OK (0=NOT OK, 1=OK)
  • Inhibit Margin
  • Inhibit Timer Minutes Left
  • Priority Number
  • Priority Mode (0=BestFitByLoadSize,
    1=LargestInhibitMargin,
    2=FirstInSetupList)
  • Forced Enabled (0=OFF, 1=ON)
  • Forced Disabled (0=OFF, 1=ON)
  • Stopped Timer OK (0=NOT OK, 1=OK)
  • Stopped Timer Minutes Left (Count down to OK)
  • Started Timer OK (0=NOT OK, 1=OK)
  • Started Timer Minutes Left (Count down to OK)
  • Disabled Timer OK (0=NOT OK, 1=OK)
  • Disabled Timer Minutes Left (Count down to NOT OK)


Energy - Price Comit

Item - Energy Price Comit

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_PriceComit Item extracts the current Energy Price from the Comit_Dispath.ini file which is a windows INI file.

The Comit_Dispatch.ini file is updated with real time data indicating the price of Energy as sold on the "Spot" market.

The "Spot" market is like a wholesale market and stock exchange for Energy where Energy is bought and sold. The price of the Energy is influenced by both generator conditions and national demand. Because of this the spot market is more volatile and is usually only used by the larger companies.

The Comit_Dispatch.ini file has a very definite format as follows:

[WTU0331_Dispatch_Prices]
Price1=Oct 21, 2003;23;2.877
Price2=Oct 21, 2003;24;2.883
Price3=Oct 21, 2003;25;2.131
Price4=Oct 21, 2003;26;2.092
Price5=Oct 21, 2003;27;2.089
Price6=Oct 21, 2003;28;2.877
Price7=Oct 21, 2003;29;2.883
Price8=Oct 21, 2003;30;2.133
Price9=Oct 21, 2003;31;2.077
Price10=Oct 21, 2003;32;2.883
Price11=Oct 21, 2003;33;3.196
Price12=Oct 21, 2003;34;3.185
Price13=Oct 21, 2003;35;3.185
Price14=Oct 21, 2003;36;3.185
Price15=Oct 21, 2003;37;3.181

The section heading is prefixed by "WTU0331". this is the generator node from which the Energy pricing is obtained and will vary from site to site.

Then there are 15 prices, each price including the date, period number and the price.

The Energy_PriceComit Item scans the Comit_Dispatch.ini file every 1 minute and retrieves the price associated with the current date and period number.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Period Length Select Period Length in minutes:
  • 15 minutes
  • 30 minutes
  • 60 minutes
Path to Comit_Dispatch.ini file. | Select the directory where the Comit_Dispatch.ini file will be kept.
Comit Node Enter the Generator Node that will be used in the Comit_Dispatch.ini file.

An example of the Generator Node is WTU0331


Energy - Projected Total

Item - Energy Projected Total

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_ProjectedTotal Item is designed calculate the projected Total at the end of a period considering the accumulation of a Total such as found in the Energy_PulseCountReset Item.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Total Input | Select the Item that has the accumulating Total. This is most likely to be an Energy_PulseCountReset Item.
Average Projection over last | Select the number of scans over which which the calculation should average the rate of increase.
Project for | Select the time period to be used for the projection. If you have used an Energy_PulseCountReset Item then set this to the same value as used in that Item The options are: 15 Minutes: The total will be automatically reset every 15 minutes starting on the hour. 30 Minutes: The total will be automatically reset every 30 minutes starting on the hour. 60 Minutes: The total will be automatically reset every 60 minutes starting on the hour.


Energy - Price TOU

Item - Energy Price TOU

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_PriceTOU Item is used to retrieve the current Energy Price from the MicroScan Tool Box Energy Price List.

TOU means "Time Of Use" and is refering to a schedule of prices that have been set by the Energy Supplier for the coming year.

Please refer to the section on "Energy Price List" for more information on how to set up the price schedule.

The Energy_PriceTOU will update its price at the start of every period.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Period Length Select Period Length in minutes:
  • 15 minutes
  • 30 minutes
  • 60 minutes


Energy - Pulse Count and Reset

Item - Energy Pulse Count Reset

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_PulseCountReset Item is designed to accumulate power consumption or volume flow over predefined time periods, reseting the total at the beginning of each period.

The total can be reset in 2 ways; first by predefined time periods of hourly, half hourly and quarter hourly (for the electrical supply industry) and then by manual reset. Manual Reset could be by a switch in the field or by the use of "Time_TimeClock" Items. In this way the Energy_PulseCountReset Item can be used for Shift Totals and Batch Totals.

It may be necessary to enable the Task property of "Delay Start Scans" so as to prevent nuisance readings before all MicroScan data has been updated at startup.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Pulse Count Input | Select the Item that is getting the accumulating Pulse Count from the field device.
Max Pulse Count Value | Enter the value that represents the maximum accumulated count before being reset to zero and starting again. Note that for Intech Micro 2100 series Digital Inputs this value is 16383.
Pulse Scale Factor Enter the Scale Factor to be applied to each Pulse.

Example1: Power Meter - Each pulse = 10W.Hrs but we want the total in kW.Hrs. Therefore the Scale = 10W.Hrs / 1000W.Hrs per kW.Hrs = 0.01.

Example2: Water Meter - Each pulse = 0.5 litres but we want the total in cu.m. Therefore the scale = 0.5 litres / 1000 litres per cu.m = 0.0005

Reset Total Every This property allows you to select how often the Total is to be automatically reset:

Manual Reset Only: The total will not be automatically reset and will only be reset by using the Manual Reset properties listed below.

15 Minutes: The total will be automatically reset every 15 minutes starting on the hour.

30 Minutes: The total will be automatically reset every 30 minutes starting on the hour.

60 Minutes: The total will be automatically reset every 60 minutes starting on the hour.

Rate Input Select the Math_PulseToRate Item that is calculating the rate of consumption for this device. (It is important to have the averaging turned off when using the Math_PulseToRate Item for this purpose and to have it positioned in the same Task and before this Item.)

This property is optional and should only be used if it is intended to gaurd against erroneous data being recieved in the pulse count input.

If no Item is selected then this property will be ignored.

One way in which an error could occur would be if a field device was powered down and then powered up again, this would reset its internal pulse count register and give a false reading. For example on an Intech Micro 2100 series Digital Input where the maximum pulse count is 16383 before it resets to zero, if say the pulse count register equalled 383 and then the unit was powered down and then powered up again, the software would see the pulse count total go from 383 to 0 and would assume that enough counts had accumulated so as to drive it all of the way up to the 16383 limit and reset itself. This being the case it would calculate that the accumulated pulses in the last moment was 16383 - 383 + 0 = 16000 pulses.

If an error like this was unchecked, and the result was included in a power control system, it would force all of the site loads to shut down.

However when this property is enabled and in the unlikely event of an over-sized rate being detected, the current accumulated pulses will be ignored.

Max Rate for Error Checking Enter the rate here above which you consider the data to be erroneous and better discarded.

As a general tip a value between 2 to 5 times the full flow rating of the field device works well. The object is to catch the gross overshoots.

Note that the Energy-PulseCountReset Item is totalising the data. The Rate Input is obtained using the Math-PulseToRate Item that is connected to the same accumulating pulse input as this Item.

Manual Reset Input Use this property if you wish to be able to reset the total manually. Select an Item that will signal to reset the total.

This would be used where totals were required for more varied time periods such as; batching, weekly, monthly etc.

Other Items that may be of interest are Math_SignalAndReset and Time_TimeClock.

Manual Reset Type For this property there are two options to choose from:

1. Manual Reset (if > 0) - If the value of the Manual Reset Input is greater than 0.5 then the total will be reset.

2. Manual Reset (On Change) - if the value of the Manual Reset Input changes then the total will be reset.


Energy - Target

Item - Energy Target

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_Target Item adjusts the Target value for the Energy Control. The adjustment is designed to be price driven. The higher the price of energy then the lower the Target will be set allowing more load to be run during low price periods and less load to be run during high price periods.

If the price of energy is below the "Lo Price" then the Target will be calculated at 100% of the Target.

If the price of energy is above the "Hi Price" then the Target will be calculated at Minimum % of the Target.

If the price is inbetwwen the "Lo Price" and the "Hi Price" then the Target will be calculated proportionally between the "100% of Lo Price" and the "Minimum % at Hi Price" of the Target.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select Target | Select the Item that has the fixed Target.
Select Price | Select the Item that is being updated with the energy pricing.
Set Hi Energy Price Set the HIGH price of energy.

If the actual price is equal to or greater than this value then the Target will be calculated as the "Minimum %" of the Target.

Set Minimum % Set the Minium %.

This is the percentage that will be applied to the Target if the price is equal to or greater than the "Hi Energy Price".

The Minimum % is used in the calculation to determine what the Target should be if the price is between the "Hi Energy Price" and the "Lo Energy Price". The calculation is linear between the "Hi Price - Minimum %" and the "Lo Price - 100%".

Set Lo Energy Price Set the LOW price of energy.

If the actual price is equal to or smaller than this value then the Target will be calculated as the "100 %" of the Target.


Energy - Target Usage

Item - Energy Target Usage

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Energy_TargetUsage Item calculates the proportional value of the Target based on how far the time is through the period.

Periods are either 15, 30 or 60 minutes long and all start on the hour.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select Target | Select the Item that has the fixed Target.
Period Length Select Period Length in minutes:
  • 15 minutes
  • 30 minutes
  • 60 minutes


File_Process DDE Ini File

Item - File Process DDE Ini File

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The File_ProcessDdeIniFile Item enables the communication of data between MicroScan and other applications running on a remote PC over a network.

The File_ProcessDdeIniFile Item works in conjunction with the program MScanDdeR.exe.

The MScanDdeR.exe is essentially a DDE Server application that reads and writes data to MicroScan via an ini file and via this Item.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Directory for MScanDdeData.ini | Select the Path where the MScanDdeR.exe program will maintain the MScanDdeData.ini file. Note that this should be located on the MicroScan PC so that network problems do not interfere with MicroScan.


File_Changed

Item - File Changed

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The File_Changed Item indicates when a file has changed or alarms if a file has not changed recently.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select File | Select the required File.
Change Type Select the type of notification required.
  • Signal - on change
  • Signal - if no Change after 'No Change Time Out (mins)'.
No Change Time Out (mins) | Set the number of minutes a file can be unchanged before notification occurs.


File_Synchroniser

Item - File Syncroniser

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The File_Synchroniser Item synchronises a copy of the file with a master file.

This Item is most often used to keep setup and configuration files updated on Passive PC's.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Directory for MScanDdeData.ini Select the Path where the MScanDdeR.exe program will maintain the MScanDdeData.ini file.

Note that this should be located on the MicroScan PC so that network problems do not interfere with MicroScan.

File Name | Enter the file name to be synchronised.
Path A | Select Path A
Path B | Select Path B
Type Select the type of synchronisation required:
  • Synchronise File A to B
  • Synchronise File B to A
  • Synchronise Both Ways
  • Force Copy File A to File B
  • Force Copy File B to File A
Remote Enable Select the Item for remote enable - if the value of the remote enable item is 0 then this Item will be disabled and if the value of the remote enable item is 1 then this Item will be enabled.

If no Item is selected then this property is ignored.


File_Sync MScan Files

Item - File Synchronise MicroScan Files

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The File_SyncMScanFiles4 Item synchronises the MicroScan setup files with a copy.

This Item is most often used to keep setup and configuration files updated on Passive PC's.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Sync Recorder Setup Files Select if you wish to synchronise these files.

These are the setup files for the recorder pages and lines.

  • Yes
  • No
Sync Recorder Config File Select if you wish to synchronise these files.

This is the record.ini file which contains a list of the current store files and some general settings.

  • Yes
  • No
Sync Mimic Setup Files Select if you wish to synchronise these files.

This is the Mimic layout files and the Mimic bacground picture files.

  • Yes
  • No
Sync Mimic Config File Select if you wish to synchronise these files.

This is the mimic.ini file which contains a list of the Mimic setup files and some general settings.

  • Yes
  • No
Sync Tag Database Setup Files Select if you wish to synchronise these files.
  • Yes
  • No
Sync Interface Setup Files Select if you wish to synchronise these files.
  • Yes
  • No
Type Select the type of synchronisation required:
  • Synchronise To Sync Path
  • Synchronise From Sync Path
  • Synchronise Both Ways
  • Force Copy To Sync Path
  • Force Copy From Sync Path
Sync Path | Select the Path to the MicroScan directory on the Passive PC.
Remote Enable Select the Item for remote enable - if the value of the remote enable item is 0 then this Item will be disabled and if the value of the remote enable item is 1 then this Item will be enabled.

If no Item is selected then this property is ignored.


Input - DDE

Item - Input via DDE

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to get data from another application that supports Microsoft DDE.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
DDE App | Enter the Application Name to which the DDE link is to be made. For Microsoft Excel this would be "Excel".
DDE Topic | Enter the Topic Name to which the DDE link is to be made. For Microsoft Excel this would be the sheet name, say "Sheet1".
DDE Item | Enter the Item Name to which the DDE link is to be made. For Microsoft Excel this would be a cell reference, say "R1C1".


Input - InputTag

Item - Input via InputTag

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to get data relating to a MicroScan Input tag.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Type | Get Value - Gets the current value of the Input Tag Is In Alarm - 0 = Not in alarm, 1 = Is in alarm. Is In Error - 0 = Tag is not in error, 1 = Tag is in error. This is used to check if the interface and/or outstation is responding. Is Alarm Enabled - 0 = Alarm is not enabled, 1 = Alarm is enabled. Is Enabled - 0 = Tag is not enabled, 1 = Tag is enabled. Calibration - Gets the calibration value for the Tag. Alarm 1 Set point - Gets the Alarm 1 set point. Alarm 2 Set point - Gets the Alarm 2 set point. Alarm 1 Delay - Gets the Alarm 1 Delay. Alarm 2 Delay - Gets the Alarm 2 Delay. Alarm 1 Differential - Gets the Alarm 1 differential. Alarm 2 Differential - Gets the Alarm 2 differential.
Input Tag | Select the MicroScan Input Tag from which to get the data.


Input - OutputTag

Item - Input via OutputTag

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

This ITEM is able to get the current data of the specified MicroScan Output Tag. Due to the nature of how this function works the data will always be one update behind.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Output Tag | Select the Output Tag required.


Input - Recorder

Item - Input via Recorder

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to get data relating to a MicroScan Recorder Line.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Type Get Value - Gets the current value of the Recorder Line

Get Day Total - Gets the Day Total.

Get Grand Total - Gets the Grand Total.

Is In Alarm - 0 = Is not in alarm, 1 = I is in alarm.

Is In Error - 0 = Is not in error, 1 = is in error.

Is Enabled - 0 = Is not enabled, 1 = is enabled.

Get Day Min - Gets the Day Minimum Value.

Get Day Max - Gets the Day Maximum Value.

Get Grand Min - Gets the Grand Minimum Value.

Get Grand Max - Gets the Grand Maximum Value.

Get Hi Setpoint - Gets the Hi Setpoint.

Get Lo Setpoint - Gets the Lo Setpoint.

Is Alarm Enabled - 0 = Alarm is not enabled, 1 = Alarm is enabled.

Get Hi Alarm Delay - Gets the Hi Alarm Delay.

Get Lo Alarm Delay - Gets the Lo Alarm Delay.

Is Alarm Counting - 0 = An alarm condition does not exist, 1 = An alarm condition does exist and the Line is either already in alarm or is counting down from the Alarm Delay to go into alarm.

Get Alarm Timer - If there is an alarm condition this option gets the number of seconds left before the Line will go into Alarm.

Get Calibration Value - Gets the calibration value.

Get State of Alarm Relay N - Gets the state of the specified Recorder Alarm Relay. 0 = Disabled, Greater than 0 = Enabled.

Recorder Line | Select the MicroScan Recorder Line from which to get the data.


Math_Average

Item - Math Average

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Average ITEM calculates the average value of an input data.

This is a true moving average calculation.

The maximum number of data points for the average is calculated by - ("Av. Over Mins" x 60) / "TASK Scan Time".

During operation the value of the data points are rotated as the new data is added and the oldest data is discarded.

When starting, the number of data points starts at 0 and builds slowly with each scan until the maximum number of data points is reached.

The averaging calculation is the sum of all of the data points divided by the total number of data points.

It is possible to see what the current data points are by saving them to a *.CSV file and then opening that file in Excel. To do this, from the Tool Box enter the level 2 password and then double click on the respective Math_Average item.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognise what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Input Value | Select an ITEM that has the value to be used in the logarithm equation.
Av. Over (Mins) | Enter in the number of minutes over which to average the Input Value.
Delay Start | Set the time to delay the Math_Average from working when the Tool Box first starts. This is to help prevent erroneous data as the Tool Box will often request data from MicroScan before MicroScan has received data from the interfaces.
Save Average Data Set how often the data points of average data should be saved to disk making it available for retrieval on start up.

Take care with this property - if the number of data points is large then it might take a lot of the computer overhead.

For an indication of how much time there is spent in saving data to file from the Math_Average, there is a small yellow dot that appears at the right hand end of the "Update Task" panel which is located at the bottom left corner of the Tool Box form. This will only be visible for large numbers of data points. For small numbers of data points it will be too fast to see.


Math - Average Reset

Item - Math Average Reset

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math-AverageReset Item is used to average data over a set time period and then reset all registers and start again.

On start, the count and average value is set to zero.

The value of the Math-AverageReset Item is the current average value.

The Math-AverageReset Item works in conjunction with the Math-AverageResetInfo Item from which other values can be obtained.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Item to average | Select the Item that has the data to be averaged
Period Length | Select the Length of the period required for the average. Note that a period will begin and end by default on the day, hour or part hour respectively.
Delay Start (mins) | Enter the number of minutes to offset the start of each period.


Math - Average Reset Info

Item - Math Average Reset Info

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math-AverageResetInfo Item is used to get additional information from the Math-AverageReset Item.

Note that the Last Count, Last Average, Last Minimum and Last Maximum values are saved to disk and re-loaded when the program re-starts. All current values are reset when the program re-starts.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select Math - AverageReset Item | Select the desired Math_AverageReset Item.
Type Select the type of information to get from the above Item.
  • Current Count - Returns the number of data scans used to create the current average value.
  • Last Count - Returns the number of data scans used to create the last average value.
  • Current Average - Returns the current average value.
  • Last Average - Returns the average value for the last period.
  • Current Minimum - Returns the current Minimum value so far in this period.
  • Last Minimum - Returns the minimum value of the last period.
  • Current Maximum - Returns the Maximum value so far in this period.
  • Last Maximum - Returns the maximum value of the last period.


Math - Count

Item - Math Count

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math_Count is used to count the number of times a value goes either High or Low.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Value | Select an ITEM that has the data to be counted.
Limit | Select the ITEM that specifies the limit. When the Value passes this limit in, one direction only, the Math_Count will increment by 1.
Increment Count if Value goes? Select direction of change that the Math_Count will be incremented by 1 when the Value passes the Limit. The options are:

Below Limit

Above Limit

Counter Type Select the Type of counter:

Reset - When the specified Counter Period is up then the count will be reset to 0 and begin the count again. It is possible in this option to line up the Count Periods with daily shift times of equal length and all totaling to 24 hours. Use the Start Time property to specify when the first shift starts. Note that the maximum Counter Period for this Option is 24 hours.

Rolling - The Counter Period is a moving window. Old data will be discarded. In this option the Start Time is ignored.

Counter Period (Hrs) Specify the number of hours for the Counter Period. Notes

1. If selecting the 'Reset' Counter Type then the maximum value is 24 hours and all smaller values must be a whole number factor of 24. Example 1,2,3,4,6 or 8.

2. If selecting the 'Rolling' Counter Type then the Counter Period may be as many hours as required.

Start Time for Reset Type Only | This property is only used when the Counter Type is set to 'Reset' and is used to specify when in the 24 hour day the time periods start.
Hold Count

(Optional)

Select an Item whose value must be 1 or greater to Hold the Math_Count Item. In this situation data will not be checked and no additional counts will be added.
Reset Count

(Optional)

Select an Item whose value must be 1 or greater to reset all of the count data. Use the Math_SignalAndReset for this Item so that the data is only reset once.
Save Count Data Set how often the data should be saved to disk making it available for retrieval on start up.

Take care with this property - if the number of data points is large then it might take a lot of the computer overhead.


Math - Count Alarm

Item - Math Count Alarm

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Count Alarm Item works in conjunction with a Math_Count Item only.

If more than a certain percentage of the data in the Math_Count Item is Above or Below an Alarm Set Point then the Math_CountAlarm Item will result in an alarm condition.

For an Alarm Condition this Item will have a value of 1, otherwise it's value will be 0.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Math_Count Item | Select an ITEM that is a Math_Count Item.
Alarm Set Point | Select the ITEM that specifies the Alarm Set Point.
Set % of Data (0 to 100) | Set the Percent of data which must be Adove or Below the Alarm Set Point for an alarm condition to occur.
Alarm if % of Count is: | Above Set Point - Will alarm only if the required percent of data is above the Set Point. Below Set Point - Will alarm only if the required percent of data is below the Set Point.


Math_DelayValue

Item - Math Delay Value

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Delay Value ITEM displays a delayed reading of another item.

During operation the value of the data points are rotated as the new data is added and the oldest data is discarded.

When starting, the number of data points starts at 0 and builds slowly with each scan until the maximum number of data points is reached.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognise what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Input Value | Select an ITEM that has the value to be used in the logarithm equation.
Delay Value by (Mins) | Enter in the number of minutes over which to delay the Input Value.
On Startup When the Tool Box firsts starts or if the "Delay Value by" is changed select what the value of this item should be until enough delay data has built up:
  • Default 0
  • Default Current Value


Math - Formula

Item - Math Formula

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used for calculations.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Math Formula To refer to the value of another ITEM, enclose the number of the ITEM in square brackets. For example ITEM 6 from TASK 1 would be [1-6].

The following table lists the operations available as math expressions.

"+" Addition:

Example a) 2 + 2

Example b) [1-1] + 2

Example c) [1-1] + [1-2]

"-" Subtraction

Example a) 4 - 2

Example b) [1-1] - 2

Example c) [1-1] - [1-2]

"^" Exponentiation

Example a) 2 ^ 2

Example b) [1-1] ^ 2

Example c) [1-1] ^ [1-2]

"*" Multiplication

Example a) 2 * 2

Example b) [1-1] * 2

Example c) [1-1] * [1-2]

"/" Division

Example a) 2 / 2

Example b) [1-1] / 2

Example c) [1-1] / [1-2]

"& " Logical And

Example a) 2 & 2

Example b) [1-1] & 2

Example c) [1-1] & [1-2]

"|" Logical Or

Example a) 2 | 2

Example b) [1-1] | 2

Example c) [1-1] | [1-2]

The following table lists the functions available as mathematical expressions.

Function Description

ABS(B) The absolute value is returned.

ADD(A, B) Adds the two elements.

IF(A,B,C) If A is nonzero then B is returned. If A is zero then C is returned. A can contain one of the relational operators: greater than (>), less than (<), equal to (=), or not equal to (!).

MAX(A,B, . . .) Returns the maximum value of all arguments. Accepts a variable number of arguments, up to a maximum of 30 arguments.

MIN(A, B, . . .) Returns the minimum value of all arguments. Accepts a variable number of arguments, up to a maximum of 30 arguments.

NEG(B) Changes the sign of the value. For example, NEG (15) = -15.

NOT(B) If B is zero then a 1 is returned. If B is not zero then a zero is returned.

ROUNDUP(B,D) Rounds the value up to the next whole number, using the specified number of decimal places (D). A zero can be used for no decimal places. Negative precision specifies tenths, hundredths, etc.

ROUND(B,D) Rounds the value to the nearest whole number, using the specified number of decimal places (D). A zero can be used for no decimal places. Negative precision specifies tenths, hundredths, etc.

SUM(B,C, . . .) Sums the arguments. Accepts a variable number of arguments, up to a maximum of 30 arguments.

TRUNCATE(B,D) Rounds the value down to the next whole number, using the specified number of decimal places (D). A zero can be used for no decimal places. Negative precision specifies tenths, hundredths, etc.


Math_ListValue

Item - Math ListValue

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math ListValue ITEM looks up the Index Number of a list and returns the corresponding List Value.

The value of the List Value may be used in a formula or the text of the List Value may be sent to a Mimic Message Text for displaying on the Mimic via a Mimic Text Object.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
List Number | Select the required List.
Index Value | Select the ITEM from which to derive the List Index Value.
Update Mimic Msg. | Enter the Mimic Message Text number for displaying on the Mimic.


Math_RateOfChange

Item - Math Rate of Change

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Rate of Change ITEM calculates the rate of change of an analogue value from one scan to the next.

This ITEM is often used together with the Math_Average ITEM if smoothing is required.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Value | Select the required ITEM for the value from which to calculate the Rate of Change.
Time Base | Select the required time base. That is calculate the rate of change over seconds, minutes or hours.


Math_Logarithm

Item - Math Logarithm

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Logarithm ITEM calculates the value of a logarithm equation.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Input Value | Select an ITEM that has the value to be used in the logarithm equation.
Log Function | Select one of the following logarithmic equations. Exp(x) - Calculates the value of "e" (the base of natural logarithms) raised to the power of the "Input Value". Ln(x) - Calculates the value of the natural logarithm of the "Input Value" Log(x-y) - Calculates the logarithm of the "Input Value" to the base of the "Base Number".
Base Number | Only used for "Log(x-y)". Enter the base to which the Log is to be calculated.


Math_NthPercentile

Item - Math Nth Percentile

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Nth Percentile ITEM sorts an array of data and then finds the data that is in the Nth position of the sorted array.

Should the Nth position calculate to be between two data points then the answer is calculated in a linear proportional manner between those two data points.

The maximum number of data points is calculated by - ("Sample Time (Mins)" x 60) / "TASK Scan Time (secs)".

During operation the value of the data points are rotated as the new data is added and the oldest data is discarded.

When starting, the number of data points starts at 0 and builds slowly with each scan until the maximum number of data points is reached.

It is possible to see what the current data points are by saving them to a *.CSV file and then opening that file in Excel. To do this, from the Tool Box enter the level 2 password and then double click on the respective Math_NthPercentile item.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognise what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Input Value | Select an ITEM that has the value to be used in the logarithm equation.
Nth Percentile

(0 to 100)

Specify the % for the Nth Percentile.

This will be the percentage of the way thru the sorted array from which the answer will be retrieved.

Sample Time (Mins) Enter in the number of minutes over which to sample data from the Input Value.

Take care with this property - if the number of data points is large then it might take a lot of the computer overhead.

Delay Start | Set the time to delay the Math_NthPercentile from working when the Tool Box first starts. This is to help prevent erroneous data as the Tool Box will often request data from MicroScan before MicroScan has received data from the interfaces.
Save Data Set how often the data should be saved to disk making it available for retrieval on start up.

Take care with this property - if the number of data points is large then it might take a lot of the computer overhead.

For an indication of how much time there is spent in saving data to file from the Math_NthPercentile, there is a small yellow dot that appears at the right hand end of the "Update Task" panel which is located at the bottom left corner of the Tool Box form. This will only be visible for large numbers of data points. For small numbers of data points it will be too fast to see.


Math - Pulse To Rate

Item - Math Pulse To Rate

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math_PulseToRate Item is used to convert an accumulating Pulse Input into a rate. For example an accumulating pulse input from a water flow meter where 1 pulse equals 1 litre could be converted into a rate of flow of say cu.m per hour, or an accumulating pulse input from a power meter where 1 pulse = 10W could be converted into a rate of consumption of kW.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Pulse Count Input | Select the Item that is getting the accumulating Pulse Count.
Max Pulse Count Value Enter the number that represents the maximum accumulated pulse count value of the field device before the accumulated value is reset to 0.

For the Intech Micro 2100 series Digital Inputs this value is 16383.

Pulse Scale Factor Enter the Scale Factor to be applied to each Pulse.

Example1: Power Meter - Each pulse = 10W.Hrs but we want the rate in kW. Therefore the Scale = 10W.Hrs / 1000W.Hrs per kW.Hrs = 0.01.

Example2: Water Meter - Each pulse = 0.5 litres but we want the rate in cu.m/hour. Therefore the scale = 0.5 litres / 1000 litres per cu.m = 0.0005

Rate Time Scale Select the appropriate Rate Time Scale:

1. Second - example Litre / second

2. Minute - example Litre / minute

3. Hour - example cu.m / hour and kW

Average Rate Over Last Select the number of scans over which to average the rate. This is often necessary to smooth out the coarseness that can arrise from pulse count inputs.

Try starting with 5, however the smaller the number the more responsive the result will be.

Max Rate For Error Checking Enter the rate here above which you consider the data to be erroneous and better discarded.

As a general tip a value between 2 to 5 times the full flow rating of the field device works well. The object is to catch only the gross overshoots.


Math_RelativeHumidity

Item - Math Relative Humidity

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Relative Humidity ITEM calculates the Relative Humidity, Dewpoint or Moisture Content given the Dry Bulb Temperature and the Wet Bulb Temperature in degrees Celsius.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Input_1 | Select the ITEM that has the required data as described in the "Type" property below.
Input_2 | Select the ITEM that has the required data as described in the "Type" property below.
Type Select the required result from the list:

RH: Input_1 = DB, Input_2 = WB
RH: Input_1 = DB, Input_2 = Moisture
Dewpoint: Input_1 = DB, Input_2 = WB
Moisture: Input_1 = DB, Input_2 = WB
Wet Bulb: Input_1 = DB, Input_2 = RH
Wet Bulb: Input_1 = DB, Input_2 = Moisture

Notes:

  • RH = Relative Humidity in %RH
  • DB = Dry Bulb Temp in °C
  • WB = Wet Bulb Temp in °C
  • Moisture = Moisture Content in g/kg
Pressure (mbar) | Optional: Select the Item that has the atmospheric pressure in mbar.


Math - Signal And Reset

Item - Math Signal And Reset

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math ITEM Signal And Reset is used to signal a change of state or change of value. It is also able to reset the signal if required.

When this ITEM senses a change then it will Signal by setting its value to 1. The next time the TASK scans it will set its value to 0. In this way a Signal is made available that will only signal for one scan and then reset itself.

This can be very useful if action is to be taken only once on some event.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Reset Signal | Yes (Signal when change <> 0) - This option is most suited to a digital input. When the digital goes high the Signal value will be set to (1 x Scale) for one scan only. Otherwise the Signal value will be set to 0. No (Signal on change) - This option is most suited to an analogue input such as a pulse count and rollover. For example whenever a button is pushed then it could add 1 to a total. On the change of the analogue total the Signal value will be set to (1 x Scale) for one scan only. This is very convenient as it does not rely on super fast scanning to see if a button has been pushed.
Signal Input Tag | Select the MicroScan Input Tag on which the Signal is based.
Signal Output Tag | Select the MicroScan Output Tag to Reset the Signal - typically used in conjunction with digital inputs only.
Signal Value | Enter the Value that will be signaled.
Signal on PC Start | No - The ITEM will NOT signal when the program starts. Yes - The ITEM will signal when the program starts.
Reset Input Tag | If the Signal Input Tag has been set to "No Scan" then this property allows the Input tag to be Reset directly.


Math_StartStopValue

Item - Math Start Stop Value

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

This ITEM is often used in conjunction with a batch type process where a reference value is required to be held for a period of time.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Value | Select the ITEM that has the Value to be held.
Signal | Select the ITEM that will signal when the Value is to be updated.
Value Type | Update Value on Return to 0 - This option will only update the value when the Signal returns to 0. Update Value on Departure from 0 - This option will only update the value when the Signal changes from 0 to another number.
On PC Re-Start | Set Value = 0 - This option will set the ITEM Value to 0 when the program is restarted. RESUME with Last Value - This option will set the ITEM Value to the value it was the last time it was updated.


Math_Sum

Item - Math Sum

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Sum ITEM provides a convenient way to sum up to 25 ITEMS.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Select Item 1..25 | Select the ITEM to sum.


Math_TankVolume

Item - Math Tank Volume

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Tank Volume ITEM calculates the volume full of Cylindrical Tanks.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Tank Type | Select the appropriate Tank Type: Horizontal Cylindrical Tank with Flat Ends
Tank Level | Select the ITEM that has the tank level. This should be in the same units as the "Tank Diameter" below. Empty = 0, Full = Tank Diameter.
Tank Diameter | Enter the Diameter of the Tank.
Tank Full Volume | Enter the Volume of the Tank when it is Full.


Math - Toggle

Item - Math Toggle

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Toggle ITEM used to signal a change of value from an analogue input.

When this ITEM senses a change then it will Signal by changing its value from 0 to 1 or from 1 to 0.

This ITEM is ideally suited to convert a Pulse Count input into an ON/OFF switch.

The Math Toggle can be set up in the following ways:

  1. Field Push Button to Start/Stop. For this method the Math Toggle is looking only at the "Input Counter" property from say a Pulse Count register of a digital input. A register configured like this would increment in value every time a field button is pushed. Once the total count reach a pre-set number then the register would be reset to 0 and start counting up again. The "Input Change Bit" and the "Output Change Bit" properties are ignored in this method.
  2. Field Push Button AND Mimic Button to Start/Stop. This method allows for the Starting and Stopping of a process from both a Field Push Button and a Mimic Button. The Field Push Button is the same as "1" above. However in this method we also use the "Input Change Bit" and the Output Change Bit" properties. These are set to the MicroScan Input Tag and Output Tag respectively that the Mimic Button is using to Start/Stop. Note that the bit controlled from the Mimic could be set up in the MicroScan Image Interface or as a spare bit in a PLC or Outstation etc.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Input Counter | Select an ITEM that is getting its value from an Input Tag that represents a change of state every time it changes. Note if a digital input then the Math Toggle value will not necessarily be synchronized with value of the digital input.
OFF if change to zero. | This is used to automatically set this ITEM value to 0. Select another ITEM that changes to 0 when the TASK or process is completed. This in turn will set this ITEM to 0 even it the value from the "ON/OFF on Change" input has not changed. If not required then leave this option blank.
On PC Restart | Toggle OFF - Sets the value of this ITEM to 0 when the PC Restarts. Toggle Resume - Sets the value of this ITEM to what it was the last time the TASK was updated.
Input Change Bit | Select the digital Input Tag of the Mimic Run signal. This option is only used if the Math Toggle is working in conjunction with a Run status via the Mimic. If this is the case then the digital setup for the Mimic Run button is the master and the Math Toggle simply toggles the state of the master.
Output Change Bit | Select the digital Output Tag of the Mimic Run signal. This option is only used if the Math Toggle is working in conjunction with a Run status via the Mimic. If this is the case then the digital setup for the Mimic Run button is the master and the Math Toggle simply toggles the state of the master.


Math_Total

Item - Math Total

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Total ITEM calculates the Total value on a Weekly or a Monthly basis given a Grand Total input.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Grand Total | Select an ITEM that has the Grand Total value. This could be from a Recorder Line Grand Total or from a Grand Total that is being accumulated in a PLC.
Period Type Select one of the following Period Types.

Monthly - Totals for one month. . Starts and stops the total on the "Start Day" and "Start Time properties below. Note to use the required 'Month Period' selection for the "Start Day" property.

Weekly - Totals for one week. Starts and stops the total on the "Start Day" and "Start Time properties below. Note to use the required 'Weekly Period' selection for the "Start Day" property.

Daily - Totals for one day. Starts and stops the total on the "Start Time" property below. The "Start Day" property is ignored.

Hourly - Totals for one hour. Starts and stops the total on the minute of the hour specified in the "Start Time" property below. The "Start Day" property is ignored.

Start Day Select the day you wish to start the total for the "Period Type". The selections are:

Sunday (for Weekly Period Type) ….to….

Saturday (for Weekly Period Type) ….and…

Day 1 of Month (for Monthly Period Type) ….to…

Day 28 of Month (for Monthly Period Type.

Note that it is important to choose the correct "Start Day" selection for the respective "Period Type".

Start Time | Set the Time of Day you wish the total to begin.
On PC Re-Start When the MicroScan Tool Box is started choose to re-start the total from 0 or to continue the total from the value it was the last time it scanned. The options are:

Re-Start Total - The total is set to 0 when the MicroScan Tool Box re-starts.

RESUME Total - The total is set to the last value when the MicroScan Tool Box re-starts.


Math_Trig

Item - Math Trigonometry

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math Trigonometry ITEM calculates the value of a trigonometry equation.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Input Value | Select an ITEM that has the value to be used in the trigonometry equation.
Trig Equation | Select one of the following trigonometry equations. Atn(x) Cos(x) Sin(x) Tan(x) Sec(x) Cosec(x) Cotan(x) Arcsin(x) Arccos(x) Arcsec(x) Arccosec(x) Arccotan(x) HSin(x) HCos(x) HTan(x) HSec(x) HCosec(x) HCotan(x) HArcsin(x) HArccos(x) HArctan(x) HArcsec(x) HArccosec(x) HArccotan(x) PI()
Units | Select the units for x: Radians (Default) Degrees


Math - Fixed Value

Item - Math Value

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to either hold a fixed value or to generate a random value.

If the value is constant then it is more efficient to use this ITEM instead of the ITEM Math_Formula.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Value (Offset) | Enter the value required.
Type Select the Type of value:

Fixed Value - The ITEM will display the "Value (Offset)" entered above.

Fixed Value (Remote Enabled) - Same as above only this option will allow the ITEM to be included in the MicroScan Tool Box Remote Editor.

Random Value - A random number between 0 and 1 will be generated. This random number will then be multiplied by the "Scale" and will then be added to the "Value (Offset)".

Scale | Enter the Scale, this is used only for the "Random Value" option above.


Mimic_ListValue

Item - Mimic List Value

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Mimic List Value ITEM allows a Value to be retrieved from a MicroScan Mimic Table-List given the Table-List number and the corresponding Index Number.

First, from the MicroScan Mimic program, with the Mimic in "Edit Mode", select the "Edit" menu and then select the "Tables…" option.

The "Edit Table" dialog box will appear. From the "Select Table" list select "List Selection. From the "Table Entries" list, select a free list. For this example we will select List 1, but any List could be selected.

Now click on the "Edit" button and the following form will appear:

MimicListSetup.gif (5035 bytes)

Add the data into the list as required.

Please note that for use with this ITEM all data in the List should be numbers

The Mimic List Value ITEM, given the "List" number, will find the first "Index Value" that equals the Index Value given, and will then get the corresponding value of the "Text" field.

It is not necessary to put the data into the list in any given order.

The properties for the Mimic List Item are as follow:

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Mimic List Number | Select the ITEM that is getting the Mimic List Number.
Mimic Index Value | Select the ITEM that is getting the Index Value for the above List Number.
Remote Enable | Works in conjunction with the above master Enable. The Remote Enable can be used to temporarily disable this ITEM. First set this property to get the value of another ITEM. If the value of the ITEM is greater than zero then the output will not be disabled, if the value is equal to or smaller than zero then the output will be disabled. If nothing is selected then this property is ignored.
Output Tag | If selected, the value retrieved from the Mimic List will be output to this Tag. If not selected then this option will be ignored.
Default Value | Select the Item that has the default value. The default value is the value that will result if the selection is not found in the Mimic List. If this property is not set then the default value will be 0.

Notes

  1. All properties that reference other ITEMS do so for flexibility. The other ITEMS may be fixed values using the Math Value ITEM, or they may be variable by using say the In Input Tag ITEM which could be reading data from the "MicroScan Image Interface" that can be changed by an operator via the Mimic program.


Misc_DataLog

Item - Misc_DataLog

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Misc Data Log Item is designed to log data to a separate file for special data format requests.

Generally the Misc Data Log Item logs the information associated with every ITEM that is above it in the SAME TASK.

The data usually consists of the Name of the Item and its value.

Note that this Item includes a special character replacement facility for the semi-colon ";". The semi-colon is a restricted character in the Tool Box. However all characters entered in the Name property of the preceding Items and also in the File Header Text property of this Item of "|" will be replaced with ";".

The properties of the Item are:

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Create a new file every: Select how often a new log file should be created:
  • Hourly
  • Daily
  • Weekly
  • or Monthly.
Offset the Start Time: For a start time, other than the default, add the time to be added to the default start time. Note that it is important to adhere to the expected format

d hh.mm.ss

where: d=days to add, hh=hours to add, mm=minutes to add and ss=seconds to add.

Example format for starting 30 minutes after the default start time would be

0 00.30.00

Example format for starting 20 days 12 hours and 15 minutes after the default start would be

20 12.15.00

  • Hourly - Default starts on the hour.
  • Daily - Default starts at midnight.
  • Weekly - Default starts at midnight on Sunday morning.
  • Monthly - Default starts at midnight on the morning of the 1st day of the month.
File Name Prefix | Set the text that is to be prefixed to the file name.
File Header Text | Set the Text that is to be set as the very first text in the file.
Save file to Folder | Select the folder where the file is to be created.
File Type | Select the file data format to be used.
Copy file to Folder for viewing Select the folder where the file is to be copied to once it has been created. This can be important for csv files, which when opened by excel are locked preventing the ability to update.

Hence users can view a copy of the file leaving the original unlocked and able to be updated.

Scale | Set the scale to be applied to ALL of the Log Data.
Number of Decimal Points | Select the number of decimal points required.


Misc_Label

Item - Misc Label

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Misc Label Item provides a label in the list of Items for clarity.

The Misc Label Item has no other function and can not be used to store data.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognise what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Description | Enter additional information regarding this Label
Display in Remote Editor | No = Do not display Label in Remote Editor Yes = Display Label in Remote Editor


Misc_Fo Calculation

Item - Misc_Fo Calculation

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Misc Fo Calculation is a means used to measure the degree of sterilization.

The value is cumulative and is based on temperature and time.

Generally the "Lethal-Rate" is calculated and then added to a running total. The running total is then multiplied by the scan time. This value is called the Fo value.

To calculate the Lethal Rate the following formula has been used:

Lethal_Rate = 10^((T-Tr)/z)

where "T" = Product Temperature, "Tr" = Reference Temperature and "z" = the number of degrees for a ten fold change.

The Product Temperature must come from a MicroScan Recorder Line, the associated Recorder Page should be set to Batch Mode and each new batch must create a new batch file.

The Fo Calculation will process every scan in the respective MicroScan Store file so as to ensure data consistency with post checking software that uses the MicroScan Recorder History program's "Export Store Data" facility.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognise what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Product Temp ~ Batch Recorder | Select a Line from the MicroScan Recorder that has the required Product Temperature and whose Page is set to Batch Recording.
Reference Temp | Select an Item that has the Reference Temperature
Degrees of Ten Fold Change | Select the Item that has the number of Degrees for a Ten Fold Change.
Log Results | No - Do not log results. Yes - Do log results and store in a *.csv file for analysis in Excel. If MicroScan is installed into the C:\IN2000 directory then the log file would be C:\IN2000\MSCANTB\Task?Item?.CSV. The log file is deleted when a new batch file is created.


Output - DDE

Item - Output via DDE

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to output a value to an applications that supports Microsoft DDE Poke.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Data to Output | Select an ITEM from the current TASK that has the data you wish to output.
DDE App | Enter the Application Name to which the DDE link is to be made. For Microsoft Excel this would be "Excel".
DDE Topic | Enter the Topic Name to which the DDE link is to be made. For Microsoft Excel this would be the sheet name, say "Sheet1".
DDE Item | Enter the Item Name to which the DDE link is to be made. For Microsoft Excel this would be a cell reference, say "R1C1".
Remote Enable | Works in conjunction with the above master Enable. The Remote Enable can be used to temporarily disable this ITEM. First set this property to get the value of another ITEM. If the value of the ITEM is greater than zero then the output will not be disabled, if the value is equal to or smaller than zero then the output will be disabled. If "0-None" is selected then this property is ignored.


Out_InputTag

Item - Output via InputTag

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to output a value to a MicroScan Input tag.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Data to Output | Select an ITEM from the current TASK that has the data you wish to output.
Input Tag | Select the MicroScan Input Tag to which you wish to send the data.
Type | Set Value - Sets the current value of the Input Tag. Note that once the Input Tag value has been set in this manner it no longer gets its data from an interface and that the other options for this parameter will have no effect. Set Calibration - Sets the calibration value of the Input Tag. Set Alarm 1 Set point - Sets the Alarm 1 Set point of the Input tag. Set Alarm 2 Set point - Sets the Alarm 2 Set point of the Input tag. Set Alarm 1 Differential - Sets the Alarm 1 Differential of the Input tag. Set Alarm 2 Differential - Sets the Alarm 2 Differential of the Input tag.
Remote Enable | Works in conjunction with the above master Enable. The Remote Enable can be used to temporarily disable this ITEM. First set this property to get the value of another ITEM. If the value of the ITEM is greater than zero then the output will not be disabled, if the value is equal to or smaller than zero then the output will be disabled. If nothing is selected then this property is ignored.


Out - OutputTag

Item - Output via OutputTag

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

Is used to output a value to a MicroScan Output tag.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Data to Output | Select an ITEM from the current TASK that has the data you wish to output.
Output Tag | Select the MicroScan Output Tag to which you wish to send the data.
Flags | Last In Stack - This is recommended and places the request to output the data at the end of the MicroScan Interface stack. First In Stack - This option means that the request to output will go to the beginning of the MicroScan Interface stack and will be executed first. This option has the danger of slowing down communications for other programs using the MicroScan interface.
Remote Enable | Works in conjunction with the above master Enable. The Remote Enable can be used to temporarily disable this ITEM. First set this property to get the value of another ITEM. If the value of the ITEM is greater than zero then the output will not be disabled, if the value is equal to or smaller than zero then the output will be disabled. If nothing is selected then this property is ignored.


Remote_Value

Item - Remote Value

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

This ITEM is often used in conjunction with the MicroScan Tool Box Remote Editor program. The Remote Editor program is an easy way for operators to change values at run time.

For an ITEM to appear in the Remote Editor it must be a Remote Value ITEM.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Value | Set the value required. This will be the value of the ITEM when it is running. It is this value which can be changed by the Remote Editor program.
Type The Type property is for the Remote Editor program. It specifies what type of input screen should be presented to the operators. This is useful in helping to prevent erroneous information from being entered.

Value - This option allows for any value to be entered. Also for this option the Lo Limit and the Hi Limit can be used to qualify the input via the Remote Editor program.

YesNo - This option tells the Remote Editor to display a Yes-No dialog box. No = 0, Yes = 1.

StartStop - This option tells the Remote Editor to display a Start-Stop dialog box. Stop = 0, Start = 1.

OnOff - This option tells the Remote Editor to display a On-Off dialog box. Off = 0, On = 1

HrsMins - This option tells the Remote Editor to display a HrsMins dialog box. This returns the Hours and Minutes in a 24 Hour decimal format, that is the time 3:05 PM would be returned as 15.05.

Month - This option tells the Remote Editor to display a Month dialog box. This returns 1 for January and 12 for December.

Lo Limit Used only in conjunction with the Value option above and when using the Remote Editor program, otherwise it is ignored.

Enter the Lo limit Value required.

Hi Limit Used only in conjunction with the Value option above and when using the Remote Editor program, otherwise it is ignored.

Enter the Hi limit Value required.

List | If "List" is selected in the Type property above then select the required List number here, otherwise this property can be ignored.
Pwd Level Required | Set the Password Level required to change the value when using the Current Values form in the MicroScan ToolBox Remote Editor.


Step Control - Simple Step Example

Step Control Example #1

Simple Step Control

This example will guide you through setting up a simple Step Control.

First lets specify what our simple Step Control is to do:

  1. Start with a Set Value of 15.
  2. Ramp to a Set Value of 95 over a time period of 60 seconds - this will be Step 1.
  3. Hold the Set Value of 95 for a time period of 120 seconds - this will be Step 2.
  4. Ramp down to a final Set Value of 25 over a time period of 90 seconds - this will be Step 3.

The above specifies a simple, 3 Step, Step Control which starts with a specified Set Value.

To make this simple Step Control work we will need to have access to an analogue output for sending the current Set Value and a digital input for signaling the ON/OFF of the Step Control.

MicroScan Setup

  1. Run the MicroScan Setup Manager.
  2. Add a new Input Tag for the Step Control ON/OFF signal. We will assume that this is coming from a "digital input" which is manually switched in the field.
  3. Add a new Output Tag for the Step Control Set Value. We will assume that this is an "analogue output" which is writing to the SV of a Shimaden SR73A Controller.
  4. Start MicroScan so that the MicroScan Interface and the Tag Data base only are running. You can check your setup so far by using the MicroScan Workout program.
  5. When satisfied that the ON/OFF Input Tag and the SV Output Tag are both working correctly stop MicroScan.

MicroScan Tool Box Setup

  1. First set the MicroScan Tool Box to Auto Start with MicroScan.
  2. Start the MicroScan Tool Box Setup program.
  3. Select the Task button, the Task editing form will appear.
  4. Add a new Task by clicking on the "Add New" button. Set the new Task's properties as follows:
    1. Class Name = Block
    2. Name = Simple Step Control
    3. Enabled = Yes
    4. Scan Time = 10 seconds
  5. Click on the button "Edit Items >>" and the Items editing form will appear.
  6. Add a new ITEM for the ON/OFF signal by clicking on the "Add New" button. The Add New Item form will appear. Select the Category "Input" and then select the ITEM "In_InputTag". Now click on the OK button. This will return you to the Item Setup form. Now setup the ITEM which you have just added:
    1. Class Name = In_InputTag
    2. Name = Step Control ON/OFF
    3. Enabled = Yes
    4. Type = GetValue
    5. Input Tag = select the Input Tag that you have previously setup for the ON/OFF signal.
  7. Add a new ITEM for SV Start. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_Value
    2. Name = SV Start
    3. Enabled = Yes
    4. Fixed Value = 15
  8. Add a new ITEM for Step1-SV. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_Value
    2. Name = Step1 - SV
    3. Enabled = Yes
    4. Fixed Value = 95
  9. Add a new ITEM for Step1-Time. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_FixedValue
    2. Name = Step1 - Time
    3. Enabled = Yes
    4. Fixed Value = 60
  10. Add a new ITEM for Step 1. The Category is "Step Control" and the ITEM is "Step_Step". Set the properties for Step 1 as follows:
    1. Class Name = Step_Step
    2. Name = Step 1
    3. Enabled = Yes
    4. SV at Step End = select the previous ITEM "Step 1 - SV"
    5. Step Time Interval = Seconds
    6. Step Time Duration = select the previous ITEM "Step1 - Time"
    7. Dev Alarm Enabled = No
    8. Dev Alarm Delay = leave this blank
    9. (Gua) Dev Hi = leave this blank
    10. (Gua) Dev Lo = leave this blank
    11. Gua Type = None
    12. Gua Alarm Time = leave this blank
    13. Gua Alarm Action = Wait
  11. Add a new ITEM for Step2-SV. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_Value
    2. Name = Step2 - SV
    3. Enabled = Yes
    4. Fixed Value = 95
  12. Add a new ITEM for Step2-Time. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Name = Step2 - Time
    2. Enabled = Yes
    3. Fixed Value = 120
  13. Add a new ITEM for Step 2. The Category is "Step Control" and the ITEM is "Step_Step". Set the properties for Step 2 as follows:
    1. Class Name = Step_Step
    2. Name = Step 2
    3. Enabled = Yes
    4. SV at Step End = select the previous ITEM "Step 2 - SV"
    5. Step Time Interval = Seconds
    6. Step Time Duration = select the previous ITEM "Step2 - Time"
    7. Dev Alarm Enabled = No
    8. Dev Alarm Delay = leave this blank
    9. (Gua) Dev Hi = leave this blank
    10. (Gua) Dev Lo = leave this blank
    11. Gua Type = None
    12. Gua Alarm Time = leave this blank
    13. Gua Alarm Action = Wait
  14. Add a new ITEM for Step3-SV. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_Value
    2. Name = Step3 - SV
    3. Enabled = Yes
    4. Fixed Value = 25
  15. Add a new ITEM for Step3-Time. The Category is "Math" and the ITEM is "Math_Value". Set the properties as follows:
    1. Class Name = Math_Value
    2. Name = Step3 - Time
    3. Enabled = Yes
    4. Fixed Value = 90
  16. Add a new ITEM for Step 3. The Category is "Step Control" and the ITEM is "Step_Step". Set the properties for Step 3 as follows:
    1. Class Name = Step_Step
    2. Name = Step 3
    3. Enabled = Yes
    4. SV at Step End = select the previous ITEM "Step 3 - SV"
    5. Step Time Interval = Seconds
    6. Step Time Duration = select the previous ITEM "Step3 - Time"
    7. Dev Alarm Enabled = No
    8. Dev Alarm Delay = leave this blank
    9. (Gua) Dev Hi = leave this blank
    10. (Gua) Dev Lo = leave this blank
    11. Gua Type = None
    12. Gua Alarm Time = leave this blank
    13. Gua Alarm Action = Wait
  17. Add a new ITEM for the Step Control Master. The Category is "Step Control" and the ITEM is "Step_StepMaster". Set the properties as follows:
    1. Class Name = Step_StepMaster
    2. Name = Step Master
    3. Enabled = Yes
    4. PV Input = leave this blank
    5. Step 1 PV Start = No
    6. Step 1 SV Start = sekect the ITEM named SV Start
    7. Run Input = select the first ITEM named "Step Control ON/OFF". Refer to Run Options for other configurations.
    8. Run Reset = leave this blank
    9. Hold/Manual Input = leave this blank
    10. SV Output = select the MicroScan Output Tag for the Step Control SV.
    11. On PC Restart = Step Control OFF
    12. Prev Step Signal = leave this blank
    13. Prev Step Time = leave this blank
    14. Adv Step Time = leave this blank
    15. Adv Step Signal = leave this blank
    16. Dev Alarm Output = None
    17. Gua Alarm Output = None

The MicroScan Tool Box Task should look like this:

This completes setting up a simple Step Control.

To keep a copy of this example for future reference click on the button "Save as Template".

Now close the MicroScan Tool Box Setup program and start MicroScan.

When you turn the "Step Control ON/OFF" switch on in the field you should see the SV on the controller ramping to suit.

When the Step Control has finished it will not be able to be restarted until the switch has been turned off, the Step Control updated, and then the switch turned back on.


Step Control - Run Options

Step Control Example

Run Options

This section on Run Options for the Step Control expands on the Simple Step Control example. If you have not completed this example then we recommend that you do complete it before continuing.

The Run signal for a Step Control can be set up in 4 different ways.

Field Switch OR Mimic Button with Manual Reset. Digital ON/OFF switch via a single digital MicroScan Input Tag. This option uses a single digital input either from a field switch or from a Mimic button.
    • If the digital input is OFF (=0), then the Step Control is stopped.
    • If the digital input changes from OFF (=0) to ON (=1) then the Step Control Starts.
    • When the Step Control finishes it will stay stopped even though the digital input is ON.
    • To restart the Step Control, first turn the digital input OFF, wait for it to be updated in the MicroScan Tool Box, then turn it back ON.
    • This setup is the same as the setup in the Simple Step Control.

Mimic Button with Auto Reset. This option uses both a digital input and a digital output to reset the signal and is designed for use with the Mimic. Generally an Input Tag and an Output Tag are setup to the same bit in the Image Interface. To start the Step Control, a button on the Mimic turns the bit ON. When the Step Control is finished the Step Master turns the bit OFF. To stop the Step Control before it has finished, the button on the Mimic is used to turn the bit OFF. To demonstrate this we will use the original Simple Step Control example. If you have modified the example then you could load the Template of it as a new TASK (remember to enable it).
    • Set the MicroScan Image Interface so that it runs with MicroScan.
    • Setup a MicroScan Input Tag and Output Tag to the same digital reference in the Image Interface for the Run signal.
    • Setup the MicroScan Mimic so that a button can turn the digital ON and OFF.
    • Add to the Mimic a digital object that shows the state of the digital Run signal.
    • Now in the MicroScan Tool Box Setup program edit ITEM 1 of the Step Control TASK - "Step Control ON/OFF" so that it is set to the new Input Tag which gets its Run signal from that digital reference in the Image Interface.
    • Now in the same TASK, edit ITEM 12 - "Step Control Master". Set property 8 - "Run Reset" to the Output Tag that references the same digital run signal in the Image Interface.
    • Now close the MicroScan Tool Box Setup program and run MicroScan. You should be able to start and stop the Step Control from the Mimic. Also when the Step Control has finished it should automatically reset the digital display on the Mimic to "stopped running".

Field Push Button with Auto Reset (via Digital Pulse Count). This Run signal is typically used with a device connected to the MicroScan Interface. The devices; IN2100-A16, IN2100-D and IN2100-A4 all support "Pulse Counting" on their digital inputs. Pulse Counting means that if a button is wired into one of the digital inputs, then every time the button is pushed, a register in the device will be increased by 1. When the value of the register is greater than 16,383 then the register is reset to 0 and the counting starts over. If this feature is used in conjunction with the ITEM Math_Toggle, then a very effective ON / OFF control can be achieved via a single push button in the field that is no longer dependant on the scan rate of the software monitoring it. Again to demonstrate this we will use the original Simple Step Control example. If you have modified the example then you could load the Template of it as a new TASK (remember to enable it).
    • Setup a MicroScan Analogue Input Tag from the "Pulse Count" register of a digital input on one of the above mentioned devices.
    • Now in the MicroScan Tool Box Setup program delete ITEM 1 of the Step Control TASK - "Step Control ON/OFF".
    • Add a new ITEM In_InputTag. Move this ITEM to the top of the list by clicking on the "Move Up" button. Set its properties as follows:
      1. Class Name = In_InputTag
      2. Name = Run Input
      3. Enabled = Yes
      4. Type = GetValue
      5. Input Tag = select the MicroScan Input tag that was setup for the Pulse Count.
    • Add a new ITEM Math_Toggle. Now move this Item to the second top of the list, ITEM 2, by clicking on the "Move Up" button. Set its properties as follows:
      1. Class Name = Math_Toggle
      2. Name = Step Control ON/OFF
      3. Enabled = Yes
      4. Input Counter = Select the Run Input ITEM, ITEM1 which we have just set up.
      5. Off if change to 0 = Select the Step Control Master ITEM, this should be ITEM 13. This enables the Auto Reset.
      6. On PC Restart = Toggle Resume
      7. Input Change Bit = None
      8. Output Change Bit = None
    • Now in the same TASK, edit ITEM 13 - "Step Control Master". Set property 7 - "Run Input" to ITEM 2 "Step Control ON/OFF.
    • Now close the MicroScan Tool Box Setup program and run MicroScan. You should be able to start and stop the Step Control by pushing the field push button.

Field Push Button AND Mimic Button with Auto Reset. This Run option allows an operator to stop or start the Step Control from either a field wired push button or from a Mimic button. Generally a mimic button is set up as in 2. Above "Mimic Button with Auto Reset". The digital that is used by the Mimic button, for this option, is considered to be the Master Run Digital. The field push button is also configured, similar to 3. Above "Field Push Button with Auto Reset", but only insofar that it changes the state of the Master Run Digital whenever a change occurs. Please note that the value of the Math_Toggle is ignored in this configuration. To set up this configuration take the following steps:
    • Setup a MicroScan Analogue Input Tag from the "Pulse Count" register of a digital input on one of the devices mentioned in the above Run Option.
    • Setup the Run Option 2. Above "Mimic Button with Auto Reset".
    • Add a new ITEM In_InputTag. Move this ITEM to the top of the list by clicking on the "Move Up" button. Set its properties as follows:
      1. Class Name = In_InputTag
      2. Name = Field Run Input
      3. Enabled = Yes
      4. Type = GetValue
      5. Input Tag = select the MicroScan Input tag that was setup for the Pulse Count.
    • Add a new ITEM Math_Toggle. Now move this Item to the second top of the list, ITEM 2, by clicking on the "Move Up" button. Set its properties as follows:
      1. Class Name = Math_Toggle
      2. Name = Step Control ON/OFF
      3. Enabled = Yes
      4. Input Counter = Select the Run Input ITEM, ITEM1 which we have just set up.
      5. Off if change to 0 = leave this blank.
      6. On PC Restart = Toggle Resume
      7. Input Change Bit = Select the new Input Tag which gets its Run signal from that digital reference in the Image Interface.
      8. Output Change Bit = Select the new Output Tag which sets the Run signal for the digital reference in the Image Interface.
    • Now close the MicroScan Tool Box Setup program and run MicroScan. You should be able to start and stop the Step Control by pushing the field push button and by pushing the Mimic button.

Notes

  1. Where reference is made to a device that facilitates a "Pulse Count" function, please note that the same effect could be achieved by using a digital input with a simple switch. If a switch was to be used then the important thing to remember is that the CHANGE in state of the switch that is what is used. The switches actual position is ignored.

Refer to Step Master


Step Control - Alarm Hi Lo

Item - Step Alarm Hi Lo

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Alarm Hi Lo is designed to work with the Step Master ITEM.

The Step Hi Lo ITEM provides a simple way in which to provide additional Hi and Lo alarms for a particular Step.

Notes:

  1. For best results place this ITEM after the Step Master ITEM. This will allow the Step Master to update first so that this ITEM will be able to use the very latest data.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Alarm Type | Select Hi Alarm or Lo Alarm
Step Number | Set to the required step number.
Enable Alarm Various options for allowing this alarm to be enabled.

Always - Always enabled while in the respective Step number.

Until SV goes below Threshold - Is enabled while in the respective Step number and until the AlarmSV (see below) goes below the Threshold (see below).

After SV goes below Threshold - Is enabled while in the respective Step number but only AFTER the AlarmSV (see below) goes below the Threshold (see below).

Alarm PV | Select an ITEM which will be used as the Process Value for the Alarm.
Alarm SV | Select an ITEM which will be used as the Set Value for the Alarm.
Alarm Differential | Specify the Differential for the Alarm, if any.
Alarm Threshold | Select an ITEM which will be used for the Alarm Threshold. Not required if "Enable Alarm = Always".
Time for No Alarm | Select an ITEM which will be used for the time period beginning from the start of the

Refer to Step Master


Step Control - Information

Item - Step Information

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Information is provided to extract various information on the current Step from the Step Master ITEM.

Notes:

  1. For best results place this ITEM after the Step Master ITEM. This will allow the Step Master to update first so that this ITEM will be able to get the very latest value.
  2. The time values referred to in the "Information on" property below are in; Seconds, Minutes, Hours or Days according to the setting of the current Step.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Information on The following are the options of the information available by this ITEM.

Deviation Alarm State: 0=No Alarm, 1=Alarm.

Guaranteed Alarm State: 0=No Alarm, 1=Alarm.

Current Set Value:

% Step Time used by Step so far.

Total Step Time.

Time Step has been Advanced: This value is the sum of both the Previous and the Advance Time changes.

Time Step has been on Gua Hold: This value gives the time that the Step has been held up by Guaranteed PV constraints.

Time Step has left to run: This is the time that the Step has left to run.

Time Step has been on Manual Hold: This is the total time that the Step has been on Manual Hold.

Total time since the Step started: This is the Total Time since the Step started.

Step Time used by the Step so far: This is the official time that the Step has Used so far. This allows for the Manual Hold time, the Advance Time and the Gua Hold time.

Controller Time Left: This is the time that the Controller has left to run, it is the sum of the time left for the current step plus all of the times for the remaining steps. (Note all steps should be set to the same 'Step Time Interval')

Controller Time Total: This is the total time for the controller, it is the sum of all of the times for each step. (Note all steps should be set to the same 'Step Time Interval')

Controller Time Used: This is the time that the Controller has used so far, it is the sum of all of the times for the steps that have run plus the time that the current step has run. (Note all steps should be set to the same 'Step Time Interval').

Step Number If not set then the ITEM will display data for all of the steps.

If set to a step number, for example "3", then only data for step 3 will be displayed. Otherwise a value of 0 will be displayed.

Output | Select a MicroScan Output Tag to send the value to.

Refer to Step Master


Step Control - Step Master

Item - Step Master

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Master ITEM is the main ITEM when setting up a Step Control.

The Step Control is to be contained within one TASK, each TASK having only one Step Control.

Each Step Control is to have only one Step Master ITEM.

The Step Master ITEM will search the TASK it is in and find all of the other Step ITEMS. It will search each ITEM in its own TASK in order from first to last. The first Step ITEM found will become the first step, the second Step ITEM found will become the second Step and so on.

When the Step Control is run, it will get the relevant information from each respective Step.

Remember to ensure that all of the Step ITEMS are placed before the Step Master ITEM. This will mean that as the TASK is updated the Step Items , and their respective supporting ITEMS, will be updated first so that when it is the Step Master 's turn to be updated it will have access to the very latest information from the Step ITEMS and their supporting ITEMS. For more information on the sequence in which ITEMS are updated refer to Overview Operation.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

PV Input | Select the ITEM that is getting the PV.
Step 1 PV Start Select either option:

No = When the Step Control starts the starting Set Value will be "Step 1 SV Start" listed below.

Yes = When the Step Control starts the starting Set Value will be the set to the value of the current PV.

Step 1 SV Start Set the Set Value that will be used as the starting Set Value for the Step Control.

Note: Only used when "Step 1 PV Start" above is set to "No".

Run Input Select the ITEM that is getting the Run signal for the Step Control.

The Run Input needs to be set (=1) for the Step Control to run. As soon as the Run Input is set to 0 then the Step Control will stop, irrespective of its position, setting the SV to the Set Value of the last Step.

For other Run options refer to Run Options.

Run Reset Select the Output Tag that will reset the Run signal at the end of the Step Control.

This option is only used if the "Run signal" is from a "digital input" which can be reset by a "digital output". Otherwise leave this property blank.

Hold/Manual Input Select the ITEM that is getting the Hold signal.

If the Hold signal = 1 then the Step Control will go into "Hold Mode". During this time the Step Control will stop writing the SV to the controlling device. This will enable manual control of the SV if required. Also the Time Used by the Step will not be increased.

SV Output | Select the MicroScan Output Tag for the Set Value.
On PC Restart Step Control OFF - Stops the Step Control when the PC Restarts.

Step Control Resume - Resume s the operation of the Step Control to what it was the last time the TASK was updated when the PC restarts.

Prev Step Signal Select the ITEM that gets the signal for the Previous Step.

When this signal is high (=1) then the Step Control will go to the beginning of the previous Step.

Refer to Note 2.

Prev Step Time Select the ITEM that gets the signal to decrease the Time Used of the current Step.

When this signal is greater than 0 then the value of the signal will be taken off the value of the current Step's Time Used. Note that the value is in the same units as the respective Step's property "Step Time Interval".

Refer to Note 2.

Adv Time Signal Select the ITEM that gets the signal to increase the Time Used of the current Step.

When this signal is greater than 0 then the value of the signal will be added to the value of the current Step's Time Used. Note that the value is in the same units as the respective Step's property "Step Time Interval".

Refer to Note 2.

Adv Step Signal Select the ITEM that gets the signal for the Advance Step.

When this signal is high (=1) then the Step Control will go to the beginning of the next Step. If the current Step is the last Step then this will end the Step Control.

Refer to Note 2.

Dev Alarm Output Select the MicroScan Output Tag for the Deviation Alarm.

The Deviation Alarm will alarm if it is enabled within the current Step and if the PV has been outside the limits for the time specified by the "Dev Alarm Delay".

The "(Gua) Dev Hi" and "(Gua Dev Lo" limits and the "Dev Alarm Delay" values are specified in the current Step.

Gua Alarm Output Select the MicroScan Output Tag for the Guaranteed PV Alarm.

The Guaranteed PV Alarm will alarm if it is enabled within the current Step and if the PV has been outside the limits for the time specified by the "Gua Alarm Time".

The "(Gua) Dev Hi" and "(Gua Dev Lo" limits and the "Gua Alarm Time" values are specified in the current Step.

Reset Run Input | If the "Run Input" tag above has been set to "No Scan" then select the same Input Tag again to have it automatically Reset when the Step Control has finished.

Notes

  1. All properties that reference other ITEMS do so for flexibility. The other ITEMS may be fixed values using the Math Value ITEM, or they may be variable by using say the In Input Tag ITEM which could be reading data from the "MicroScan Image Interface" that can be changed by an operator via the Mimic program.
  2. Special properties require a signal to indicate some action. Once the signal has been received it is important that the signal resets itself so that the next time the TASK is updated it does not act on the same instance of the signal again. When this is the case it is recommended to use the ITEM Math Signal and Reset.
  3. For a simple example of the Step Control refer to Simple Step Control Example.


Step_StepMasterSlave

Item - Step Master Slave

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Master Slave ITEM is the main ITEM when setting up a Step Control that is to run in "Slave" mode to another Step Master ITEM.

The "Slave" Step Control is to be contained within one TASK, each TASK having only one Step Control. The "Master" Step Control would be in its own TASK. Each "Slave" Step Control would in turn be in its own individual TASK.

Each "Slave" Step Control is to have only one Step Master Slave ITEM.

The Step Master Slave ITEM will search the TASK it is in and find all of the other Step ITEMS. It will search each ITEM in its own TASK in order from first to last. The first Step ITEM found will become the first step, the second Step ITEM found will become the second Step and so on.

When the "Slave" Step Control is run, it will get the relevant information from each respective Step and from the "Master" Step Control.

Remember to ensure that all of the Step ITEMS are placed before the Step Master ITEM. This will mean that as the TASK is updated the Step Items , and their respective supporting ITEMS, will be updated first so that when it is the Step Master 's turn to be updated it will have access to the very latest information from the Step ITEMS and their supporting ITEMS. For more information on the sequence in which ITEMS are updated refer to Overview Operation. Also for best results position the "Master" Step Control TASK before the associated "Slave" Step Control TASKs.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Step Master | Select the ITEM that is the Step Master.
PV Input | Select the ITEM that is getting the PV.
Step 1 PV Start Select either option:

No = When the Step Control starts the starting Set Value will be "Step 1 SV Start" listed below.

Yes = When the Step Control starts the starting Set Value will be the set to the value of the current PV.

Step 1 SV Start Set the Set Value that will be used as the starting Set Value for the Step Control.

Note: Only used when "Step 1 PV Start" above is set to "No".

SV Output | Select the MicroScan Output Tag for the Set Value.
On PC Restart Step Control OFF - Stops the Step Control when the PC Restarts.

Step Control Resume - Resume s the operation of the Step Control to what it was the last time the TASK was updated when the PC restarts.

Dev Alarm Output Select the MicroScan Output Tag for the Deviation Alarm.

The Deviation Alarm will alarm if it is enabled within the current Step and if the PV has been outside the limits for the time specified by the "Dev Alarm Delay".

The "(Gua) Dev Hi" and "(Gua Dev Lo" limits and the "Dev Alarm Delay" values are specified in the current Step.

Notes

  1. All properties that reference other ITEMS do so for flexibility. The other ITEMS may be fixed values using the Math Value ITEM, or they may be variable by using say the In Input Tag ITEM which could be reading data from the "MicroScan Image Interface" that can be changed by an operator via the Mimic program.


Step Control - Time Delay

Item - Step Time Delay

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Time Delay is designed to work with the Step Master ITEM.

The Step Time Delay ITEM enables for a Time Delay from the beginning of a respective Step.

Notes:

  1. For best results place this ITEM after the Step Master ITEM. This will allow the Step Master to update first so that this ITEM will be able to use the very latest data.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Step Number | Set to the required step number.
Time Delay | Select an ITEM which will give the required Time Delay duration for the respective Step.
Delay Type | Select the Delay Type: Delay ON - Starts with 0, then 1 after timing out. Resets to 0 when the Step has finished. Delay OFF - Starts with 1, then 0 after timing out.

Refer to Step Master


Step Control - Step

Item - Step

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step ITEM is to be used with the Step Master ITEM.

Generally for each step of the Step Control that you set up in a TASK add one Step ITEM.

It does not really matter where in the TASK you place the Steps, however for neatness it is probably best to place them in order before the Step Master ITEM.

As each step is set up there will be a number of ITEMS that it requires to get information from. Remember to ensure that all of these supporting ITEMS are placed just before the respective Step ITEM. This will keep the ITEMS grouped in a logical way. It will also mean that as the TASK is updated the supporting ITEMS will be updated first so that when it is the Step's turn to be updated it will have access to the very latest information from the supporting ITEMS. For more information on the sequence in which ITEMS are updated refer to Overview Operation.

Generally a Step ITEM can be divided into 3 distinct parts:

  1. Step Information - Include the Set Value at the end of the step and the Duration of the step.
  2. Deviation Alarm - If enabled includes the Hi and Lo deviation values required for the deviation alarm.
  3. Guaranteed PV and Alarm - If enabled includes for checking that the requested PV has been reached, that it has been within limits for the correct period of time and if not sets the Gua Alarm.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

SV at Step End | Set the required Set Value for the end of the Step.
Step Time Interval Select the time interval required for this step:

Seconds, Minutes, Hours or Days.

(This property is not used in a "Slave" Step Control TASK).

Step Time Duration Select the ITEM that will set the duration of the Step. Refer Note 1.

(This property is not used in a "Slave" Step Control TASK).

Dev Alarm Enabled Enable the Deviation Alarm:

No = Alarm Disabled, Yes = Alarm Enabled

Dev Alarm Delay Select the ITEM that will set the Deviation Alarm Delay. Note that this is in the same units as the "Step Time Interval" above. If no delay is required then leave this property blank.

Refer Note 1

(Gua) Dev Hi Set the ITEM that will set the Hi deviation value for both the Guaranteed PV Alarm and the Deviation Alarm.

Refer Note 1.

(Gua) Dev Lo Set the ITEM that will set the Lo deviation value for both the Guaranteed PV Alarm and the Deviation Alarm.

Refer Note 1.

Gua Type Select the Guaranteed PV Type:

None: Guaranteed PV not enabled.

Gua PV End: Guarantees the PV only at the end of the Step. This will prevent advancing to the next Step until the PV is within limits or until the Gua Alarm - refer to "Gua Alarm Action" below.

Gua Soak Total: Guarantees the PV will be within limits for the time set by the "Step Duration" above. Refer to "Gua Alarm Action" below for options if the guaranteed time is not met.

Gua Soak Restart: Similar to "Gua Soak Total" only that this option guarantees the PV will be within limits CONTINUOUSLY for the time set by the "Step Duration" above. If at any time the PV falls outside limits then the timing will start again. Refer to "Gua Alarm Action" below for options if the guaranteed time is not met.

Gua is not used in a "Slave" Step Control TASK.

Gua Time Select the ITEM that will set the Guaranteed time, this being the time used by the Step after which the GUA Alarm is set ON.

Note that this is in the same units as the "Step Time Interval" above.

(This property is not used in a "Slave" Step Control TASK).

Refer to Note 1.

Gua Alarm Action The following are the options available should a Gua Alarm occur.

Note: For a Gua Alarm occur the "Step Time Used" must exceed the "Step Gua Time".

Wait: This option waits indefinitely for all of the conditions to be satisfied before advancing to the next Step.

Advance Step: This option automatically advances to the next Step in the event of a Gua Alarm.

Stop: This option stops the Step Control, setting the SV to the End SV of the last Step.

(This property is not used in a "Slave" Step Control TASK).

Fixed SV (No Ramp) | Select an ITEM to determine if this Step will Ramp the Set Value or not. If the ITEM's value is 0 then the SV will ramp, if the value is 1 then the SV will not ramp. If nothing is selected then this property is ignored and the SV will ramp.

Notes

  1. All properties that reference other ITEMS do so for flexibility. The other ITEMS may be fixed values using the Math Value ITEM, or they may be variable by using say the In Input Tag ITEM which could be reading data which can be changed by an operator via the Mimic program.

Refer to Step Master


Step Control - Value Multi

Item - Step Value Multi

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Step Time Delay is designed to work with the Step Master ITEM.

The Step Value Multi ITEM selects the value associated with the current Step number. For example, if every Step has a different alarm deviation which is to be used in another calculation then the Step_ValueMulti would be used to return the value of the deviation for the current Step.

Notes:

  1. For best results place this ITEM after the Step Master ITEM. This will allow the Step Master to update first so that this ITEM will be able to use the very latest data.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Step Master | Select the ITEM that is the Step_Master.
Step 1 (to 12) Value | Select an ITEM which will give the required value for Step 1 (to 12).

Refer to Step Master


Time_Converter

Item - Time Converter

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Converter Item provides the bi-directional conversion of time in the format of HH:MM or MM:SS to their decimal equivalent.

For example 04:30 represented as 4.3 could be converted to 4.5 and vice versa

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Input | Select the ITEM that has the value to convert
Input Type
  • Seconds (the decimal time in seconds)
  • Minutes (the decimal time in minutes)
  • Hours (the decimal time in hours)
  • Mins:Secs (value is in time format)
  • Hrs:Mins (value is in time format)
Convert To
  • Seconds (the decimal time in seconds)
  • Minutes (the decimal time in minutes)
  • Hours (the decimal time in hours)
  • Mins:Secs (value is in time format)
  • Hrs:Mins (value is in time format)
Output To | Select a Microscan Tag to send the converted value to (optional)


Time_TimeClock

Item - Time Clock

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Clock ITEM provides a comprehensive Time Clock that can be set up for either a continuous operation on a Weekly or Monthly basis or for a one off operation for a single event.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Start Month | Select the ITEM that has the value of the Start Month for the Time Clock. Note that 1 = January and 12 = December. If not required then either leave this property blank or set the Start Month = 1 and the Stop Month = 12. If the Time Clock is required to operate only between certain months then set accordingly.
Stop Month | Select the ITEM that has the value of the Stop Month for the Time Clock. Note that 1 = January and 12 = December. If not required then either leave this property blank or set the Start Month = 1 and the Stop Month = 12. If the Time Clock is required to operate only between certain months then set accordingly.
Start Time | Select the ITEM that has the Start Time for each Day. Note that the time is presented in a 24 Hour format with the minutes appended after the decimal point. For example 3:05 PM would be 15.05.
Stop Time | Select the ITEM that has the Start Time for each Day. Note that the time is presented in a 24 Hour format with the minutes appended after the decimal point. For example 3:05 PM would be 15.05.
Sunday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Monday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Tuesday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Wednesday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Thursday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Friday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
Saturday Enable | Select the ITEM that shows whether this day is enabled or not. 0 = Not Enabled, 1 = Enabled
OFF Value | Set the value for when the Time Clock is OFF.
ON Value | Set the Value for when the Time Clock is ON.
Manual OFF | Select the ITEM that shows if the Time Clock is to be Over-ridden to the Manual OFF position. 0 = Do not over-ride, 1 = Do over-ride. If both Manual OFF and Manual ON are set, Manual OFF will have priority.
Manual ON | Select the ITEM that shows if the Time Clock is to be Over-ridden to the Manual ON position. 0 = Do not over-ride, 1 = Do over-ride. If both Manual OFF and Manual ON are set, Manual OFF will have priority.
Invert Output | Select the ITEM that will show if the Time Clock value is to be inverted, that is the 'OFF Value' becomes the 'ON Value' and the 'ON Value' becomes the 'OFF Value'. 0 = Do not invert, 1 = Invert. If not required, leave blank.
Output Tag | Select a MicroScan Output Tag to send the value of the Time Clock to.


Time_MultiTimer

Item - Time Multi Timer

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Multi Timer ITEM provides for a Timer function that has multiple sequential time intervals.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Start Signal | Select the ITEM that is the Start signal for the Timer.
Time Interval | Seconds: = Time values are for seconds Minutes: = Time values are for minutes Hours: = Time values are for hours
Continuous Operation | No = Not continuous, will go thru the sequence of times only once. Yes = Is Continuous, will continue to go thru the sequence of times until the Start Signal = 0.
Time 1 to 12 | Select the Item that holds the value for the respective Time.


Math_PcClock

Item - Time PC-Clock

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math PC Clock ITEM uses the current time from the PC Clock and can either display the time, with an offset if required, or can signal whenever the time changes.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select Data Select an Option for the type of time value:

Year

Month

Day

Hour

Minute

Second

Display Type Select the type of display required:

Display Data - Displays the PC Clock time of the option from "Select Data" including the adjustment for the "Time Offset".

Display Signal - Displays either a 0 or 1 depending on if the time value of the "Select Data" has changed. 0 = No change, 1 = Change. This option is useful for say a signal at the start of every hour.

Time Offset | Enter the amount of time the Display Data is to be offset.


Time_PcClockReset

Item - Time PC-Clock Reset

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Math PC Clock Reset ITEM corrects the PC Clock given a "Hour Signal Input".

This ITEM only corrects the PC Clock on the Hour. That is the time in which the "Hour Signal" is received must within the times of the nearest Hour plus or minus the "Window" minutes set below.

The time signal could be a field digital input that is held high long enough for the MicroScan Tool Box to see it, or it could be a Pulse Count register which increments when a digital pulse occurs.

If the "Hour Signal" value changes to 0 then it will be ignored. No change will be made.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Window (+/- mins) | Set the number of minutes for the operational window in which this ITEM will work. If set to 10 minutes (the default value), the ITEM will only work between 10 minutes to the hour and 10 minutes after the hour. If a change in the "Hour Signal" happens during this time then the PC Clock will be reset to the current Hour plus the "Time Offset Seconds" set below.
Time Offset (secs) | Set the number of seconds the PC Clock should be corrected by past the hour. For example if the PC Clock is 4:55:00 PM, and a "Hour Signal" is received then the PC Clock will be set to 5:00:00 PM plus the "Time Offset Seconds". If the "Time Offset Seconds" is set to 17 seconds, then the PC Clock would be set to 5:00:17 PM. This is to allow for the time delay resulting from the MicroScan Tool Box's scan time.
Hour Signal Input | Select the ITEM that is getting the "Hour Signal Input".


Time_PeriodMinute

Item - Time Period Minute

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time_PeriodMinute Item divides the day up into periods of equal length and displays the number of minutes that have elapsed since the period started.

Periods always start and finish at 00:00hrs.

This Item is most often used in conjunction with the Energy and Totals Items.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Period Length Select the required Period Length
  • 15 Minutes
  • 30 Minutes
  • 60 Minutes


Time_PeriodNumber

Item - Time Period Number

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time_PeriodNumber Item divides the day up into periods of equal length and displays the current Period Number since the day started.

Periods always start and finish at 00:00hrs.

This Item is most often used in conjunction with the Energy and Totals Items.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Select the Period Minute Item only. | Select the Time_PeriodMinute Item that has already been set up with the Period Length.


Time_Pulse

Item - Time Pulse

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Pulse ITEM enables a simple pulse signal.

Note: Check that the Pulse is accurate enough for the application as it is dependant on the combination of the ON and OFF times and on the TASK update time. Generally the TASK update time must not be shorter than either the ON or OFF times.

Properties

Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled | No - The ITEM is not enabled and will not update when its TASK updates Yes - The ITEM is enabled and will update when its TASK updates.
Pulse Timer Run | Select the ITEM that has Run signal for the Pulse Timer. 0 = Stop (Value = OFF Value), 1 = Run (Value = Pulse ON Value/OFF Value)
ON Time (secs) | Eneter the number of seconds that the Pulse Timer is to be ON. Please note that the Pulse Timer is only updated every time that its TASK is updated.
OFF Time (secs) | Eneter the number of seconds that the Pulse Timer is to be OFF. Please note that the Pulse Timer is only updated every time that its TASK is updated.
ON Value | Enter the ON Value.
OFF Value | Enter the OFF Value.
Output Tag | Select the Output Tag to send the Value to.


Time_Timer

Item - Time Timer

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Timer ITEM provides for a Timer function, whether it be for Time Delay ON or Time Delay OFF.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Start Signal | Select the ITEM that is the Start signal for the Timer.
Time (secs) | Eneter the number of seconds for the Timer delay.
Timer Type Select the required Timer Type

ON then OFF (Reset if Signal = 0) - When the Timer signal = 1, the Timer Value = 1 for the Time period then = 0. At anytime if the Timer signal = 0 then the Timer will reset and = 0.

ON then OFF (Continue if Signal = 0) - When the Timer signal = 1, the Timer Value = 1 for the Time period then = 0. If at anytime during the timing period the Timer Signal = 0, the Timer will continue until finished.

OFF then ON (Reset if Signal = 0) - When the Timer Signal = 1, the Timer Value will continue to equal 0 for the Time period, then the Time Value = 1 until the Timer Signal is reset to 0.
Start Timer Select the required option:

If Signal changes from 0 - Starts the timer whenever the Timer Signal no longer equals 0.

If Signal changes - but 0 = OFF - Starts the Timer whenever the Timer Signal changes, but sets the timer to OFF if the Timer Signal = 0.


Time_Timer Info

Item - Time Timer Info

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Time Timer Info ITEM enables runtime data to be extracted from a Time_Timer Item for display purposes.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Timer | Select the ITEM that is the Timer from which infi is required.
Select Info for Select the type of information required.
  • Time To Go
Time Format Select the required Time Format:
  • Secs
  • Mins
  • Mins.Secs
  • Hrs
  • Hrs.Mins


Totals_Meter

Item - Totals Meter

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Totals_Meter Item works in conjunction with the Totals_MeterSave Item by getting and/or accumulating totalised data for a meter.

Both of the above Items above require a Time_PeriodMinute Item for their time base reference.

When using these Items to store data in a Database generally use a separate Task for each Table in the Database.

A typical Meter Totals Task would be set up as follows:

[Item 1] Time_PeriodMinute Set the required period length.
[Item 2] Input_InputTag Get the Raw Data for Meter1.
[Item 3] Totals_Meter Meter1 Totals
[Item 4] Input_InputTag Get the Raw Data for Meter2.
[Item 5] Totals_Meter Meter2 Totals
[Item 6] Input_InputTag Get the Raw Data for Meter3.
[Item 7] Totals_Meter Meter3 Totals
...etc
[Item 8] Totals_MeterSave To Save all of the meter data to the Database.

On each scan the Totals_Meter Items will increase the Totals for their respective meter. Then the Totals_MeterSave Item will save that Total to the Database.

If the program is stopped and restarted then the data in the Database will be used to reset the Total value in the Totals_Meter Item.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Meter ID (DataBase Field Name) Enter a unique name for the Meter. This name will be used as the field name in the database.

Use Microsoft Access 7 rules for specifying field names:

· Can be up to 255 characters long.
· Must begin with a letter.
· Can include letters, numbers, or underscore characters (_).
· Can't include punctuation characters or spaces.
· Can't be a Visual Basic keyword.

A keyword is a word that Visual Basic uses as part of its language. This includes predefined statements (such as If and Loop), functions (such as Len and Abs), and operators (such as Or and Mod).

Select Meter Input | Select the Item that is inputting the raw data from the required meter.
Select Meter Type Select the meter type from the following list:
  • Total from Meter (Grand Total)
  • Analogue Input - (Input Rate per Second)
  • Analogue Input - (Input Rate per Minute)
  • Analogue Input - (Input Rate per Hour)
  • Pulse Input - 4095 Max Count
  • Pulse Input - 16323 Max Count
Scale | Enter the scale factor to be applied to the totalised units.
Select Period Minute Select the Time_PeriodMinute Item.

Note that every Totals_Meter & Total_MeterSave combination must be referred to the same Time_PeriodMinute Item.

Set the length of the save period in the Time_PeriodMinute Item - 15, 30 or 60 minutes.

Max Increase Per Scan Set the Maximum Allowable Increase for the total. If the increase is greater than that set, then the last increase will be applied.

If the "Max Increase Per Scan" is set to zero then the property is ignored.

(Note - This property is usually only used with the Pulse type meters to prevent erroneous readings should the hardware device be reset.)


Totals_MeterSave

Item - Totals Meter Save

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Totals_MeterSave Item works in conjunction with the Totals_Meter Items.

The Totals_MeterSave Item gets all of the Total information from the Totals_Meter Items and saves it to a Database.

The Totals_MeterSave Item will find all of the prededing Totals_Meter Items listed in its own Task.

Therefore the Totals_MeterSave Item will represent a group of meters, the data for which will be saved in a Table in a Database both of which are specified by this Item.

Both the Totals_Meter and the Totals_MeterSave Items require a Time_PeriodMinute Item for their time base reference.

A typical Meter Totals Task would be set up as follows:

[Item 1] Time_PeriodMinute Set the required period length.
[Item 2] Input_InputTag Get the Raw Data for Meter1.
[Item 3] Totals_Meter Meter1 Totals
[Item 4] Input_InputTag Get the Raw Data for Meter2.
[Item 5] Totals_Meter Meter2 Totals
[Item 6] Input_InputTag Get the Raw Data for Meter3.
[Item 7] Totals_Meter Meter3 Totals
...etc
[Item 8] Totals_MeterSave To Save all of the meter data to the Database.

On each scan the Totals_Meter Items will increase the Totals for their respective meter. Then the Totals_MeterSave Item will save that Total to the Database.

If the program is stopped and restarted then the data in the Database will be used to reset the Total value in the Totals_Meter Item.

Note: The Database is a Microsoft Access7 Database. When viewing in Microsoft Access do not upgrade to a more recent version within the same month that the MicroScan ToolBox is writting to it. If this happens then the MicroScan ToolBox will not be able to save data and data will be lost.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

DBase File Path Select a Path to where the Database files are to be saved.

Note it is recommended that this Path is a subdirectory on the local PC so as to avoid any network related problems.

DBase File Name Prefix Enter a Name that uniquely identifies the data base.

Note that the complete data base name will also include a year-month component for easy identificatuion, for example the file name:

MyFile200403.mdb would be a typical file name where "MyFile" was entered in as the Prefix and where the file contains data for the year 2004 and the 03rd month in that year.

The Totals_MeterSave Item will create a new file like this every month.

DBase Table Name Enter a name for the Data Base Table that uniquely identifies this group of meters.

Use Microsoft Access 7 rules for specifying Table names:

· Can be up to 255 characters long.
· Must begin with a letter.
· Can include letters, numbers, or underscore characters (_).
· Can't include punctuation characters or spaces.
· Can't be a Visual Basic keyword.

A keyword is a word that Visual Basic uses as part of its language. This includes predefined statements (such as If and Loop), functions (such as Len and Abs), and operators (such as Or and Mod).

Select Period Minute Select the Time_PeriodMinute Item.

Note that every Totals_Meter & Total_MeterSave combination must be referred to the same Time_PeriodMinute Item.

Set the length of the save period in the Time_PeriodMinute Item - 15, 30 or 60 minutes.

CSV File Path Select a CSV file Path to which to copy a csv formated version of the data contained in the Database file.

Please note that for a Database name of:

MyFile200403.mdb a temporary csv file will be created beside it called MyFile200403.tmp.

Then this file will be copied and renamed to the CSV path as MyFile200403.csv.

Warning - When Microsoft Excel opens a csv file it locks it. This will prevent the MicroScan Toolbox from being able to over-write it or update it.

CSV File Type Select the Type of CSV file you would like to create:
  • 0. None
  • 1. Standard Monthly Report


Totals_RecorderMonthly

Item - Totals Recorder Monthly

Please refer to Adding a New Item for specific information on how to add an ITEM and how to change its properties.

Description

The Totals_RecorderMonthly Item retrieves a monthly sun of the totals data from the recorder store file for a specific recorder line.

The Totals_RecorderMonthly Item can be specified to sum the whole month or a specific shift within the month.

Properties
Class Name | A unique name for this item. The class name is display only and cannot be changed.
Name | Enter a meaningful name for this Item so that you, and other people, will easily recognize what it is for.
Enabled No - The ITEM is not enabled and will not update when its TASK updates

Yes - The ITEM is enabled and will update when its TASK updates.

Select Recorder Line | Select the Recorder Line for which to retrieve the totals data.
Shift Total Select what the monthly total is to be for:
  • 0. Grand Total
  • 1. Shift 1
  • 2. Shift 2
  • 3. Shift 3
  • 4. Shift 4
  • 5. Shift 5
  • 6. Shift 6
  • 7. Shift 7
  • 8. Shift 8
Day for Month Start. Set the day for your month start.

To report on the calendar month then set 1.

If the data is to be for the financial month which say starts on the 20th of every month then set 20.

History for: Select which month's data you require:
  • 0. Current Month.
  • 1. Last Month
  • 2. 2 Months Previous
  • 3. 3 Months Previous
  • 4. 4 Months Previous
  • 5. 5 Months Previous
  • 6. 6 Months Previous
  • 7. 7 Months Previous
  • 8. 8 Months Previous
  • 9. 9 Months Previous
  • 10. 10 Months Previous
  • 11. 11 Months Previous
  • 12. 12 Months Previous


RemoteIndex

MicroScan Tool Box - Remote Editor

Index

Overview

Main Form

Current Values Form

Recipe Setup Form

Select Recipe Form

View Batch Form

Mimic Button Setup


Rmote Editor - Overview

MicroScan Tool Box - Remote Editor

Overview

Overview

The MicroScan Tool Box Remote Editor program is designed to run with the MicroScan Tool Box and to provide an easy way for operators to change settings within the MicroScan Tool Box while it is running.

Items that can be changed by the Remote Editor are Remote Values. These are like fixed values that only change when forced to by the Remote Editor or by the MicroScan ToolBox Setup program.

The Remote Editor can be used with or without the MicroScan Mimic program.

Generally if the Mimic is not running then the Remote Editor's Options are set so that it is NOT hidden in the MicroScan System Tray, but is visible all of the time. This allows the operator to access the "Current Values', "Recipe Setup' and 'Select Recipe' functions of the Remote Editor via it's Main Form.

Conversely, if the Mimic is running then the Remote Editor's Options are normally set so that it is hidden in the MicroScan System Tray and then Mimic Buttons are setup so that they can display the 'Current Values', 'Recipe Setup' and 'Select Recipe' functions as required.

Back to Remote Editor Index


Remote Editor - Main Form

MicroScan Tool Box - Remote Editor

Main Form

Re_frmMain.gif (4840 bytes)

The MicroScan Tool Box Remote Editor program is designed to Auto Start with MicroScan and with the MicroScan Tool Box.

Only those Tasks that have "Remote_Value" Items in them will be displayed.

Main Functions

First select the Task which holds the Items you wish to work with, then click on one of the following buttons.

  1. Current Values - Displays the Current Values Form which allows the current values of the Remote_Value Items to be edited directly. It also provides access to the 'Recipe Setup' and the 'Select Recipe' buttons if required.
  2. Recipe Setup - Displays the Recipe Setup Form which allows for many Recipes to be created and maintained for the selected Task.
  3. Select Recipe - Displays the Select Recipe Form which enables an operator to select a Recipe and to load it into the MicroScan ToolBox.
  4. View Batch - Displays the View Batch Form which will display details of the Batch and also open the Batch store file in the MicroScan Recorder History program.

Note: The 'Setup Recipe' and 'Select Recipe' buttons if clicked will take you to the respective forms, however these buttons can be hidden by setting the "Hide Remote Editor Recipes" property to "Yes" in the MicroScan Tool Box Option's.

Main Form - Menu

  1. File - Exit: Closes the Tool Box Editor program.
  2. Setup - Password: Shows a dialog box into which the password can be entered.
  3. Setup - Set Master Setup File: Shows a dialog box which allows you to point to the MicroScan Tool Box Setup File. This may be on another computer.
  4. Help - Contents: Shows the Help file's main index page.
  5. Help - Current: Shows the Help file's page for the Editor's Main Form. Also by pressing the F1 key.
  6. View Audit Log: Shows the Audit Log.
  7. Help - About: Shows the programs About dialog box.

Back to Remote Editor Index


Remote Editor - Current Values

MicroScan Tool Box - Remote Editor

Current Values Form

RE_frmCurrentValues.gif (14859 bytes)

To change the value of an Item, click on the "Set" Button beside it and edit the dialog box as required.

Once the changes have been made, click on the "Save + Close" Button to save the changes to the MicroScan Tool Box setup file.

The MicroScan Tool Box will automatically upload the changes. (Make sure that the MicroScan Tool Box Option's have been set Auto Reload Setup.)

To close the Current Values Form, click on the "Close" Button.

Note: The 'Setup Recipe' and 'Select Recipe' buttons if clicked will take you to the respective forms, however these buttons can be hidden by setting the "Hide Remote Editor Recipes" property to "Yes" in the MicroScan Tool Box Option's.

Current Values Form - Menu

  1. File - Exit: Closes the Tool Box Editor program.
  2. Setup - Password: Shows a dialog box into which the password can be entered.
  3. Help - Contents: Shows the Help file's main index page.
  4. Help - Current: Shows the Help file's page for the Editor's Edit Form. Also by pressing the F1 key.
  5. Help - About: Shows the programs About dialog box.

Back to Remote Editor Index


Remote Editor - Recipe Setup

MicroScan Tool Box - Remote Editor

Recipe Setup Form

RE_frmRecipeSetup.gif (18733 bytes)

The Recipe Setup Form.

  1. Select Recipe list box - Select the required recipe in the Select Recipe list box. Once selected all of its data will be loaded into the form.
  2. Name text box - Enter a name for the recipe.
  3. Author text box - Enter an Author for the recipe.
  4. Date text box - Enter a date for the Recipe. Note that this is a text field and could be used for another type of reference.
  5. Details multi-line text box - Enter any special notes or instructions required for the recipe.
  6. Add New Recipe button - Click on this button to add a new recipe. If you wish to copy a recipe and then edit it, first select the recipe to copy and then click on the Add New Recipe button. You will be asked if you wish to copy the data from the previosly selected recipe.
  7. Edit Recipe Data spread sheet - The Items listed in this spread sheet are all of the Remote_Value Items in the Task. To change the value of the Item either double click on it or click on the Set button.
  8. Save button - All changes must be saved by clicking on this button before closing the form or selecting another recipe. If this is not done then all changes will be lost.
  9. Close button - Closes the form, be sure to save before closing or changes will be lost.
  10. Delete Recipe button - Click on this button to delete the selected recipe.

Current Values Form - Menu

  1. File - Print Preview: Displays the selected Recipe in a two column display ready for printing.
  2. File - Exit: Closes the Tool Box Editor program.
  3. Setup - Password: Shows a dialog box into which the password can be entered.
  4. Help - Contents: Shows the Help file's main index page.
  5. Help - Current: Shows the Help file's page for the Recipe Setup Form. Also by pressing the F1 key.
  6. Help - About: Shows the programs About dialog box.

Back to Remote Editor Index


Remote Editor - Select recipe

MicroScan Tool Box - Remote Editor

Select Recipe Form

Re_frmSelectRecipe.gif (10911 bytes)

The Select Recipe Form.

  1. Select Recipe list box - Select the required recipe in the Select Recipe list box. Once selected, the Author, Date and Details data associated with the recipe will be displayed in the adjacent viewer panel.
  2. Batch text box - Enter a code for this Batch (max 15 characters). Note that this will only be visible if the "MimicTextRef - Recipe Code" property in the Task Setup has been set. When the Load Recipe button is clicked then the Batch Code will be sent to the appropriate Mimic Message Text so that it can be displayed on a Mimic page via a Text object.
  3. Batch File Name text box - This is read only and will only be displayed if the "Recipe Batch Recorder Page" property in the Task Setup has been set. The file name is created automatically by the Remote Editor program. In a typical file number '12000003.dat' the '1' = the Recorder number, the '2' = the Page number minus 1, the '000003' = the next auto increment file number and the '.dat' is the standard MicroScan Recorder Store File extension. When the Load Recipe button is clicked this file name will be written to the Recorder Setup file ready for the next Recorder Batch to start.
  4. Batch Comments text box - Enter any Batch specific comments here (max 105 characters). Note that this will only be visible if the "MimicTextRef - Recipe Comment" property in the Task Setup has been set. When the Load Recipe button is clicked then the Batch Comment will be sent to the appropriate Mimic Message Text so that it can be displayed on a Mimic page via a Text object.
  5. View Recipe Data button - Enables a quick double check of the data before it is loaded. Displays the Print Preview form.
  6. Load Recipe button - When clicked; the data saved in the recipe will loaded to the MicroScan ToolBox, the Recipe Name, Recipe Code and the Recipe File Name + Comments will be sent to the appropriate Mimic Text Messages, the Recipe File Name will be sent to the MicroScan Recorder setup file, the Recipe Name, Recipe Code and the File Name + Comments will be sent for inclusion in the Recorder Batch Store File and finally the Recorder Batch will be started via the "Recipe Batch Run Output Tag" property set up in the Task Setup. If any of the respective properties in the Task Setup have not been set then those functions will be ignored.
  7. Close button - Closes the form.

Notes

  1. When using the Batch Code, Batch File Name and Batch Comment fields with the MicroScan Recorder Batch files, it is necessary to ensure that "Long Batch Header" option in the Recorder Customisation dialog is NOT enabled.

Current Values Form - Menu

  1. File - Exit: Closes the Tool Box Editor program.
  2. Setup - Password: Shows a dialog box into which the password can be entered.
  3. Help - Contents: Shows the Help file's main index page.
  4. Help - Current: Shows the Help file's page for the Recipe Setup Form. Also by pressing the F1 key.
  5. Help - About: Shows the programs About dialog box.

Back to Remote Editor Index


ReMimicSet

MicroScan Tool Box - Remote Editor

Mimic Button Setup

When the Mimics are running the Remote Editor's Options are normally set so that it is hidden in the MicroScan System Tray.

A Mimic buttons are then setup so that they can directly displays the Remote Editor's forms.

To set up a Mimic Button follow these steps:

  1. Add a new button to a Mimic Page.
  2. Select the General Tab.
  3. Select Button Type = Utility
  4. Enter the Title Text, Description Text, Hot Key and Password Protection to suit.
  5. Select the Utility Setup Tab.
  6. Select Function = DDE Poke.
  7. Set Param1 = Mscan ToolBox Remote Editor
  8. Set Param2 = Select
  9. Set Param3 = Task
  10. For Param4 enter the required Task number followed by a description of the form to display:

Example of the "Utility Setup" for a Mimic Button.

ReMimic.gif (7258 bytes)

If setting up buttons for say Task 3, then Param would be:

  1. "3-RecipeSelect" for the Select Recipe form for task 3.
  2. "3-RecipeSetup" for the Recipe Setup form for Task 3.
  3. "3-CurrentValues" for the Current Values form for Task 3.
  4. "3-RecipeView" for the View Batch form for Task 3.

Now when the Mimic is run and the button is clicked the MicroScan Tool Box Remote Editor's respective form will appear displaying any "Remote_Value" Items in Task 3.

Note that the MicroScan Remote Editor program must be set to Start with MicroScan.

Back to Remote Editor Index


Remote Editor - View Recipe Batch

MicroScan Tool Box - Remote Editor

View Recipe Batch Form

RE_frmRecipeView.gif (11532 bytes)

The Select Recipe Form.

  1. Select Store File list box - Select the required Batch Store File and its details will appear in the Recipe Info & Batch Info text boxes..
  2. Batch text box - Enter a code for this Batch (max 15 characters). Note that this will only be visible if the "MimicTextRef - Recipe Code" property in the Task Setup has been set. When the Load Recipe button is clicked then the Batch Code will be sent to the appropriate Mimic Message Text so that it can be displayed on a Mimic page via a Text object.
  3. View Button - Loads the selected file into the MicroScan History program for viewing in either graph or data format.
  4. Close button - Closes the form.

Notes

  1. When using the Batch Code, Batch File Name and Batch Comment fields with the MicroScan Recorder Batch files, it is necessary to ensure that "Long Batch Header" option in the Recorder Customisation dialog is NOT enabled.

Current Values Form - Menu

  1. File - Set Store Directory: Set the directory where the store files are located.
  2. File - Exit: Closes the Tool Box Editor program.
  3. Help - Contents: Shows the Help file's main index page.
  4. Help - Current: Shows the Help file's page for the Recipe Setup Form. Also by pressing the F1 key.
  5. Help - About: Shows the programs About dialog box.

Back to Remote Editor Index


List - Select List Setup

MicroScan Tool Box - Select List Setup

frmSelectList.gif (6049 bytes)

Select the required List type and then click on the OK button to go to the respective setup screens.

The available List types are:

  • Energy Price List: This is used only by the Energy_PriceTOU Item. The Energy Price List allows all of the variable energy pricing data for the year to be entered. Then the Energy_PriceTOU Item is able to extract the correct price for the current time.
  • Tool Box Lists: The MicroScan Tool Box List allows for the creation of lists of data to be used by the Math_ListValue Item.

Back to Setup Form


List - Energy Price Setup

MicroScan Tool Box - Energy Price Setup

The Energy Price List is used by the Energy_PriceTOU Item. TOU means "Time Of Use" and refers to the anual schedule of variable Energy Prices. The Energy Price List allows the schedule of prices to be entered into a list so that the Energy_PriceTOU Item is able to retrieve the correct price for the current time.

The Setup happens in 2 parts:

First a "Daily Template" is created. This specifies the time periods during the day for each price break. Each period is refered to as a TOU Slot.

frmEnergyPriceListTOU.gif (9570 bytes)

Once the TOU Slots have been set, click on the "Next >>" button . The Energy Price form will appear.

There will be a place to put an Energy Price for each TOU Slot for each Week Day and each Week End Day for each Month.

frmEnergyPriceListPrice.gif (11335 bytes)

When finished click on the "Finish" button and the Prices will be saved to the Energy Price List.

Back to Setup Form


List Setup

MicroScan Tool Box - List Setup

frmList.gif (8391 bytes)

The MicroScan Tool Box List facility allows for the creation of lists of data. No limit has been imposed on the number of records in a list nor on the number of lists.

The Lists are primarily used in the Remote_Value Items where the Item's property "Type" can be set to "List". This enables the operators to select from a List of pre-determined values, each value having a corresponding descriptive name.

List Setup Form

  1. Select List list box - Select the List that you wish to edit. It's data will be automatically loaded into the Set List Data spread sheet.
  2. Delete List button - This button deletes the currently selected List.
  3. New List button - This button adds a new list.
  4. Rename List button - This button enables you to rename the currently selected List.
  5. Set List Data spread sheet - Holds all of the data for the currently selected List. Edit the data by either double clicking or pressing Enter on the respective cell.
  6. Delete Index button - Deletes the currently selected Index in the Set List Data spread sheet.
  7. New Index/Value button - Adds a new record to the List.
  8. Sort by Index Value button - Sorts all of the data in the Set List Data spread sheet on the Index Value.
  9. Close button - Closes the List Setup form.

Main Form - Menu

  1. File - Exit: Closes the Tool Box Editor program.
  2. Help - Contents: Shows the Help file's main index page.
  3. Help - Current: Shows the Help file's page for the Editor's Main Form. Also by pressing the F1 key.
  4. Help - About: Shows the programs About dialog box.

Back to Setup Form


Misc Index

MicroScan Tool Box - Miscellaneous Index

Associated Files

MicroScan Image Interface

Program Options

Passwords

Using Templates

MicroScan Workout


Associated Files

MicroScan Tool Box - Associated Files

MScanTB.exe | MicroScan Tool Box Main Program File
MScanTB.log | MicroScan Tool Box Log file for program - Logs Start/Stop and Password On/Off.
MscanTB.chm | MicroScan Tool Box Help File - Microsoft Windows HTML Help - requires Microsoft Internet Explorer Version 4 or later.
MsTbSet.exe | MicroScan Tool Box Setup program.
MsTbSet.log | MicroScan Tool Box Setup Log file for program - Logs Start/Stop and Password On/Off.
MsTbYYMM.mdb | MicroScan Tool Box monthly Audit files. These are Microsoft Access 7 Data Base files which are both encrypted and password protected.
MScanTB.mdb | MicroScan Tool Box Setup File - this is a Microsoft Access 7 Data Base. It is both encrypted and password protected.

Back to Miscellaneous Index


MicroScan - Image Interface

The MicroScan Image Interface is a PLC style interface that may be used with MicroScan.

The Image Interface does not connect to any external devices, instead it acts simply as a repository for data.

Data may be 'Read' or 'Written' to the Image Interface in exactly the same way as data is 'Read' or 'Written' to any real PLC driver.

The Image Interface has the following main uses:

  1. For testing purposes when 'Bench Testing' an installation. Say a MicroScan system is being configured to run a MicroScan Interface and it involves Input Tags, Output tags, Alarms and Recorder Lines. In such a system many settings are inter-dependant and it would be very good to be able to 'Bench Test' the system before putting it live. This can be done by configuring the "Image Interface" to emulate, in this case, the MicroScan Interface. Refer to the Image Interface for Testing.
  2. As a repository for user information at run time. Say some data needs to be entered into MicroScan manually by a user or the system requires a full Input / Output interface between MicroScan and another program. To do this we could set up the Image Interface so that it runs all of the time when MicroScan is running. This means that not only can we still 'Read' and 'Write' to the other interfaces in the normal way, but that we can also 'Read' and 'Write' data to the Image interface by MicroScan or any other program. Refer to Image Interface for Run Time.

Back to Miscellaneous Index


MicroScan - Image Interface for Run

The MicroScan Image Interface when used for run is an excellent repository for user input data or for data that has been created by one program and needs to be shared amongst other MicroScan programs.

The Image Interface, when used for run, means that it will be running when MicroScan is running and that it will be another interface in its own right, even though it does not communicate with any external device but acts only as a place to Read and Write data.

An important point to note is that MicroScan requires each interface to have a unique interface number. Therefore there are a number of important steps to make when setting up the Image Interface for run.

  1. First from the MicroScan Setup Manager click on the large button "Admin Tools".
  2. Then select the "System Modules" button and the following form will appear.

  3. Check the "PLC Interface(s) and select "Image Interface" from the "PLC Interface #1" list.
  4. Click "OK", then "Close" to return to the MicroScan Setup Manager startup form.
  5. Click on the "System Setup" button and the following form will appear.

    6. SystemSettings.gif (13177 bytes)

  6. Under the "Interface(s)" heading, check the "PLC Interface - Image Interface" as shown above.
  7. Click on the "OK" button when finished.
  8. Before starting MicroScan it is necessary to set the Image Interface Number to a unique number (its default is 2). To set the Image Interface Number, from the MicroScan Tool Box Setup program. Click on the "Program Options" button. Now click on the "Set" button beside the "Image Interface Number" line and follow the prompts remembering to select a unique number for the interface between 1 and 31. Refer to Program Options.
  9. Start MicroScan.

Back to Image Interface Index

Back to Miscellaneous Index


MicroScan - Image Interface for Testing

The MicroScan Image Interface when used for testing is a powerful commissioning tool.

Say we have set up a system to run the MicroScan Interface and say this is an extensive system with Alarm Outputs and various critical actions.

Before such a system is put on line it is good to give it a "Bench Test".

To do this we will run the Image Interface in place of the MicroScan Interface. This will allow us to write whatever values we wish to the Image Interface for testing purposes.

  1. First from the MicroScan Setup Manager click on the large button "Admin Tools".
  2. Then select the "System Modules" button and the following form will appear.

  3. Check the "PLC Interface(s) and select "Image Interface" from the "PLC Interface #1" list.
  4. Click "OK", then "Close" to return to the MicroScan Setup Manager startup form.
  5. Click on the "System Setup" button and the following form will appear.

  6. Under the "Interface(s)" heading, uncheck the "MicroScan 2000 Interface" and check the "PLC Interface - Image Interface" as shown above.
  7. Click on the "OK" button when finished.
  8. Before starting MicroScan it is necessary to set the Image Interface Number the same as the MicroScan 2000 Interface Number. The MicroScan 2000 Interface Number is always 0. To set the Image Interface Number to 0 start the MicroScan Tool Box Setup program. Click on the "Program Options" button. Now click on the "Set" button beside the "Image Interface Number" line and follow the prompts. Refer to Program Options.
  9. Start MicroScan.

Now that MicroScan is running with the Image Interface in a "Bench Test" mode, the next thing to do is to change some of the values so as to test the setup.

One way to do this is to use the MicroScan Workout.

Back to Image Interface Index

Back to Miscellaneous Index


MicroScan Tool Box - Program Options

To get to the Program Options Dialog Box, from the Main Form, select the Edit menu and then "Options".

The following Dialog Box will appear:

Options.gif (7276 bytes)

The Options Dialog Box has the following options:

  1. Close with MicroScan - When set to "No" the program will not automatically close, when set to "Yes" the program will automatically close when MicroScan closes.
  2. Add To MicroScan Tray - When set to "No" the program will always be visible, when set to "Yes" the program's visibility will be controlled by the MicroScan System Tray Icon. Note that this option requires Option1, Close With MicroScan, to be set to "Yes".
  3. Task Background Colour - Set this option to a distinctive background colour for all Task displays. This option is designed to save confusion between Task and Item screens.
  4. Item Background Colour - Set this option to a distinctive background colour for all Item displays. This option is designed to save confusion between Task and Item screens.
  5. Image Interface Number - Use this facility to change the MicroScan Image Interface Number as required. Please refer to the information on the Image Interface before changing this number.
  6. Auto Reload Setup - If "Yes" then any changes to the setup will be automatically reloaded by the MicroScan Tool Box.
  7. Add Remote Editor To MicroScan Tray - When set to "No" the Remote Editor program will always be visible, when set to "Yes" the Remote Editor program's visibility will be controlled by the MicroScan System Tray Icon.
  8. Hide Remote Editor Recipes - If set to "Yes" then the 'Select Recipe' & 'Setup Recipe' buttons on the Remote Editor's Main Form and on the 'Current Values' form will be hidden.
  9. Audit Changes - If set to 'Yes' then changes made by the MicroScan ToolBox Setup program and the MicroScan ToolBox Remote Editor program will be logged in the audit files.
  10. Recipe Report Header - Edit this text to suit. It will be the main heading on all printouts performed by the Remote Editor when printing Recipes.

Back to Miscellaneous Index


Passwords

Protection with Passwords

General

There are two forms of password protection; Password Levels and User Logon.

Password Levels include:

  1. Level 1 - Gives access to close the program.
  2. Level 2 - Gives access to the setup area.
  3. Level 3 - Gives access to the Password Setup area.

User Logon Passwords for each user include:

  1. User Name.
  2. User Password.
  3. Access Level - refer to Password Levels above.

When the Active Password changes, the change is recorded in the MscanTB.log file.

Password Dialog Box

To enter a password, from the Main Form, click on the Edit menu and then on "Password".

If the passwords are setup for Password Levels, then the following Dialog Box will appear. The operator is to enter the password for the level they wish to activate.

If the passwords are setup for User Logon, then the following Dialog Box will appear. The operator is to enter both their name and password.

The Password Dialog Boxes shown above have the following buttons:

  1. OK - Accepts the password information that has been entered and then closes the Dialog Box.
  2. Cancel - Cancels the current Active Password and closes the Dialog Box.
  3. Close - Closes the Dialog Box without affecting the current Active Password.

Password Setup Dialog Box

To setup the passwords, from the Main Form, click on the Edit menu and then on "Password Setup".

If the passwords are setup for Password Levels, then the following Dialog Box will appear.

If the passwords are setup for User Logon, then the following Dialog Box will appear.

The Password Setup Dialog Box has the following parts:

  1. Enable Password Protection check box - Check this box to enable the passwords.
  2. Time Out combo box - Select the number of minutes after which the Active Password will time out. The time out period starts when the password is activated.
  3. Enable User Logon check box - If not checked then the Password Setup Dialog Box will allow for setting the password levels. If it is checked then the Password Setup Dialog Box will allow for setting the User Logons.
  4. Level 1 to 3 Passwords - Enter the password you require for each level.
  5. Select User combo box - If the User is already setup, use this combo box to select them and check or edit their details.
  6. User Name - Enter the user name required.
  7. Password - Enter the password required.
  8. User Access - Select the Level access required for this user.
  9. Add User button - Adds a new user.
  10. Delete User button - Deletes the currently selected user.
  11. Save button - Saves the password setup data to file.
  12. Close button - Closes the Password Setup Dialog Box.

Back to Miscellaneous Index


Templates

MicroScan Tool Box - Templates

General

Templates are ideal for repetitive TASKS.

Once you have made a TASK that will be used again, save it as a TEMPLATE.

The TEMPLATE can be further modified once it has been saved as a TEMPLATE. From the Main Form select the Edit menu and then "Template". This will allow you to edit the TEMPLATES directly.

For editing the TEMPLATE TASKS refer to Adding a New Task

For editing the TEMPLATE ITEMS refer to Adding a New Item.

Once you are satisfied with the TEMPLATE it is ready to be imported as a new TASK.

There is two different ways in which to import a TEMPLATE.

  1. When in the TASK Setup Form the TEMPLATE will be imported as a new TASK.
  2. When in the ITEM Setup Form the ITEMS of the TEMPLATE will be appended to the ITEMS of the currently selected TASK.

Back to Miscellaneous Index


MicroScan - Workout

The MicroScan Workout program is a useful program for 'Reading' and 'Writing' directly to the interfaces.

This is very useful during commissioning as communications with each station or node can be checked.

Also, if "Bench Testing", with the MicroScan Image Interface the operation of a setup can be checked by "Writing" to specific addresses and observing the result.

To start the MicroScan Workout program, run "C:\IN2000\Workout.exe". The following form will appear.

The Workout program has the following:

  1. Input Tags / Output Tags selection - Select either Input or Output Tag to give the address as required.
  2. Tag Number - Select the tag required. Note that when the tag is selected then the special MicroScan address that is assigned to that tag is automatically loaded into the "Address" frame.
  3. Address Frame - This is where the special MicroScan address is displayed. If you know the address then you can enter it in manually if you wish.
  4. Input and Output Frames - Depending on whether you wish to Input data or Output Data, select the option you require from within these two frames. Note that to Output an analogue value you must also set the "Output Value". Be sure to scale this to suit the scaling of the tag.
  5. Send Button - Click on this button to action the Input / Output request.
  6. Interface Reply - This not only gives the reply value of an Input request but also gives interesting data on the communication status.

Back to Miscellaneous Index


Add New Item Dialog

Add New Items Form

The "Add New Items Form" will appear when working in the MicroScan Tool Box Setup program on the Items Setup form when the "Add New" button has been clicked.

This form is used to select the ITEM required to add to the current TASK. The ITEM is added as the last ITEM in the TASK.

To select the ITEM you require first select the "Category" to which the ITEM belongs. Then select the ITEM itself.

To return to the ITEM Setup form either click on the OK button or double click on the ITEM required.